commit b12c6f363ca4e6140b4c5ebbe6b1c820b123c3a9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 8 12:33:27 2026 +0000

    Release v6.10.2

commit fedb45d8d94ab21b79e7f550dff89f8ae3a457f8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jan 7 16:39:37 2026 +0000

    Bug fixes
    
    - Fixed a regression in v6.5.0 in the handling of the return value of
      QSqlQueryModel.query().

commit ccfb7987f236904f0feee6614a09e2fa45a7d48f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 27 11:06:57 2025 +0000

    Bug fixes
    
    - Fixed a regression in v6.10.1 in the handling of the return value of
      createMimeDataFromSelection() in QTextEdit and QPlainTextEdit.

commit d72db36074a3453ef6a5a5746082230b2afe4913
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 5 14:37:07 2025 +0000

    Release v6.10.1

commit 48796838b960e1c9a7f2c66afa810034f2795a06
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 27 21:58:59 2025 +0000

    Bug fixes
    
    - Fixed ownership issues with the result of calls to
      `createStandardContextMenu()` and `createMimeDataFromSelection()`.

commit 6531d8a843928be180d317708ed759525e665082
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 10 19:12:44 2025 +0000

    Support for `QRangeModel`
    
    The support for `QRangeModel` was refactored to replace `QPyRange` with
    `QPyAbstractRange`, `QPySequenceRange` and `QPyTableRange`.

commit 3a6f12e54c4f85954cc727fee632b770915a5992
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 10 10:50:42 2025 +0000

    Development regressions
    
    - Fixed the support for QRangeModel for Python v3.9.

commit 45477b08afa039072abf38b9e6832153bcd7e5d5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 9 15:39:50 2025 +0000

    Support for `QRangeModel`
    
    Support was added for `QRangeModel` (added in Qt v6.10).  This allows a
    range of Python objects to be edited in-situ using an appropriate Qt view.
    Currently a range may be a sequence of Python objects or a table (ie. a
    sequence of sequences).  Support for trees is planned to be added in a
    later release.  Ranges are wrapped using the `QPyRange` class which is then
    passed to `QRangeModel`.

commit bcfacbbd491136b2a4a22c52646a36886d89f774
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 1 12:15:08 2025 +0000

    Bug fixes
    
    - Fixed a regression in `pylupdate6` when using Python v3.14.

commit ecab96d9ca996c2496594c3a06d4cea1de93f395
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 16 10:55:25 2025 +0100

    Release 6.10.0

commit 45432446241bc35d67901d3d3dfa88dbc2189e00
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 10 16:16:28 2025 +0100

    Updated the build system requirements.

commit 2568bc30469d7611708287b67c3b7c4426975555
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 8 14:02:26 2025 +0100

    Added support for Qt v6.10
    
    - Added support for Qt v6.10 (currently exluding `QRangeModel`).
    - Added support for `QGuiApplication.nativeInterface()`.

commit ad793c4b8a2fd572c3d72bd41c24e82a935bc30d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 12 14:09:33 2025 +0100

    Indentation used in `pylupdate` `.ts` files
    
    The indentation used by `pylupdate` in `.ts` files has been tweaked to
    exactly match the behaviour of Qt Linguist.  However the different ways
    empty elements are handled means files generated by each are not identical.

commit 0e2bd6bc6e21a41a6cc647177b25690d988ea4e0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jul 10 17:15:04 2025 +0100

    Indentation used in `pylupdate` `.ts` files
    
    The indentation used by `pylupdate` in `.ts` files has been increased from
    2 to 4 to match the behaviour of Qt Linguist.

commit 8df1f7038dd5c0e8be0e0cf745702d1f51155c5d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jul 8 16:50:00 2025 +0100

    Imported from Mercurial

commit 15f386f86d4ac618328dd9d6239b503c0b83c721
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jun 3 16:22:48 2025 +0100

    Added tag 6.9.1 for changeset e63845987630

commit 598af4438c533050f23410f90cee5a6f889507a4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jun 3 16:22:06 2025 +0100

    Updated the NEWS file.

commit 1bd0dc8a70d7c1ab1eae0ebf48c2c78eb7f201ec
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 24 17:46:06 2025 +0100

    Uses PEP 639 licensing.

commit bb97c78d0e46e306e2166f87016083a887f5aa0d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 24 17:06:36 2025 +0100

    Uses the SIP v6.12 suport for C++11 enum base types to fix issues on big-endian
    systems.

commit 07a34aa0539bcd37c63dbcdb2189166874873ad2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 25 14:48:17 2025 +0100

    Fixed building against versions of Qt older than v6.5 (QChar::Script).

commit 677aee90368aabde1f329e0af65dd7f326524fef
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Apr 24 17:10:10 2025 +0100

    Clarified the comment about the need for the re-implementation of __hash__()
    in QBluetoothUuid (ie. it is not a SIP bug).

commit 81817c2ed8631e104f97ff7b389fffe7cd6b940c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 11 15:01:02 2025 +0100

    Fixed pyuic6 to handle QIcons created from QIcon.ThemeIcon.

commit 5623c76b473a12ccb9d7f969211246ef849f2c48
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 8 22:37:49 2025 +0100

    Added the missing (Windows only) setNativeArguments() and nativeArguments() to
    QProcess.

commit b07ae668bd009b619154f072fe22f9057037de81
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Apr 3 11:14:27 2025 +0100

    Added tag 6.9.0 for changeset 5e6322462b6b

commit e4e74371dff72278812f643df2be8a6437bcd5bd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Apr 3 11:14:14 2025 +0100

    Updated the NEWS file.

commit d7a4af5104ff77ed81125e782909d0401e633a17
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 2 16:15:30 2025 +0100

    Backout the hack required to build QtStateMachine on Qt v6.9.0rc.

commit 939b0fcd9ad08e2770857d29125d4fdaa6c61d95
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 27 11:46:41 2025 +0000

    Implemented std::chrono::milliseconds as a mapped type.

commit 4802ab6b794900e434345037345e6cd82c7ab847
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 21 13:11:39 2025 +0000

    Implemented std::chrono::seconds as a mapped type for PyQt6-NetworkAuth.

commit bfed7a9ec79ee05a9912d1eab4cb65913b8a1b83
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Mar 17 20:47:45 2025 +0000

    Updated for Qt v6.9.0rc.

commit 9da288d080e768507c09168f7df7b64def80c900
Merge: 40e6732 0f83431
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Mar 17 14:34:23 2025 +0000

    Merged the 6.8-maint branch.

commit 0f834310650e4623bd4c6f42b360446eade78c93
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 24 23:03:34 2025 +0000

    Fixed a crash when garbage collecting a QModelRoleDataSpan created from a list
    of QModelRoleData instances.

commit 21b91e676d81f9424be227cf3a77b9caea592d17
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 7 10:27:10 2025 +0000

    Fixed a pyuic6 bug handling fully scoped alignment flags.

commit 6a588348d95a96aafd134cae7f317c2dac8c6dd2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 3 14:43:01 2025 +0000

    Added tag 6.8.1 for changeset c774d4388743

commit cc350f91788557266ac999381af683f582eac40a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 1 16:25:52 2025 +0000

    Further fix for QStringConverterBase.

commit 6cf07916404f945abe48560ae0b35b5ba9a9d420
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 31 11:38:08 2025 +0000

    Fixed QStringConverterBase so it will build with Qt v6.8.2.

commit 5d83ec379a9e3ea5bdf7ceeeecfa570920126239
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 27 15:19:37 2025 +0000

    Added the QtStateMachine module.

commit b7bd5b7689eb51f96aa253a60ff336cb3e83b6c9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 13 12:31:29 2024 +0000

    Properly fix the type hint for QChar.

commit f8b0f12551f3706a4f34afc6999e08ddf7038e38
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 13 12:13:58 2024 +0000

    Fix the type hint for QChar to say a str is also allowed.

commit 40e6732d0d7ed076d6fa8c3dd5e4dd1ef961177d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 6 14:00:18 2024 +0000

    Added tag 6.8.0 for changeset 80def5a26747

commit 9611c789476f0376a1c74e1853af3aa1b4cea0df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 4 10:50:21 2024 +0000

    Updated the NEWS file.

commit 5569c067e94ca170271947fee221702f3126772e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 2 18:01:13 2024 +0000

    Updated the tests to account for the meta-object fixes in Qt v6.8.1.

commit 42f27c4193d36fe36c7741568ef94bb200f44320
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 22 11:25:34 2024 +0000

    Fixed the QDnsLookup.typeChanged() signal for Qt v6.8.

commit 500f72528002f19facdc353b0f662b58d13db440
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 21 16:14:36 2024 +0000

    Fixed the QNetworkInformation.reachabilityChanged() signal for Qt v6.8.
    Fixed the QNetworkInformation.transportMediumChanged() signal for Qt v6.7.

commit 2fdb38c6e9b2f37f63f22ad1f172bb4cd5baa5dc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 21 15:37:43 2024 +0000

    Fixed the Vulkan support on Linux.

commit d8310aa0ccdd3c67ff2e771a58cde515ea2ec531
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 21 12:44:01 2024 +0100

    Fixed an undefined type in the Vulkan support.

commit 5cd8ce7cdd210d1fcc6f2cd29519dc7e63e6e552
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 21 11:46:01 2024 +0100

    Updated the tests for Qt v6.8.0.

commit 6c759ec77d165f76fca48b007556e1b4722b49e8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 19 17:23:12 2024 +0100

    Added QWindow.setVulkanInstance(), QWindow.vulkanInstance(), QVulkanExtension,
    QVulkanInstance and QVulkanLayer.

commit 8d81700a6e477d29e9b2313917695e9d5dcd3131
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 19 15:55:36 2024 +0100

    Fixed PYQT_OPENGL_ARRAY and PYQT_OPENGL_BOUND_ARRAY when converting from a
    buffer object.

commit 4b6106a0851f039223c6f8ff35bcee89422d9063
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 14 13:03:45 2024 +0100

    Updated the build system requirements to SIP v6.9 and PyQt-builder v1.17.

commit 3003b6f40dec2066b84dff9afa789a149b3c3385
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 14 12:41:55 2024 +0100

    Fixed a missed type hint change.

commit 1a2c7ad4f55b1a2ab41837f2772415ddae22c0a2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 14 12:36:43 2024 +0100

    Updated required type hints for PEP 585 compatibility.

commit 941fcc8c73ff0e7233101df7e68322646e969e5b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 6 18:18:15 2024 +0100

    User defined Python enums are now registered with their own meta-type.

commit 52ef4e790441bfeabdbc1ce90a477574769d9e04
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 4 12:36:09 2024 +0100

    Fixed regressions when building against versions of Qt prior to v6.8.

commit 8157ec27a6f521ad682c12debda1e662a82b2123
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 2 14:58:05 2024 +0100

    Fixed regressions when comparing QByteArray and Python strings.

commit 3c59942bf6bb493e213c58cd34bcb6227ea5565d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 2 13:11:47 2024 +0100

    Completed the updates for Qt v6.8.

commit 1e6a3ec8668eb6172e790de3e63c004d3af94754
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 2 12:59:06 2024 +0100

    Updated QtQuick and QtSvg for Qt v6.8.

commit fcb3dcfc27f09d1ed0f7d0f447645af201e99a66
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 2 11:09:19 2024 +0100

    Updated QtNfc, QtPdf, QtSql and QtXml for Qt v6.8.

commit 74def021c68f95836baa249490651aadee88fea4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 1 18:00:42 2024 +0100

    Updated QtNetwork for Qt v6.8.

commit 22950de3b6f143b62b0a69ec89692a1048b80d1b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 1 15:08:34 2024 +0100

    Updated QtMultimedia for Qt v6.8.

commit 72f386734c300ca517cbf5ba50bac78e7f444874
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 1 12:48:52 2024 +0100

    Updated QtTest for Qt v6.8.

commit 31a78dfbb32f487365ae4c4094e6024957d4dabb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 1 11:53:41 2024 +0100

    Completed the Qt v6.8 support for QtGui.

commit 26b2e13f03e985abb3cf7c381e65d09d04036e89
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 30 17:51:30 2024 +0100

    Updated QtGui for Qt v6.8.

commit d557909c609dd79fd2005fc928c53d05f9925ea9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 30 17:11:45 2024 +0100

    Updated QtTest for Qt v6.8.

commit 4ea656c9a0feebcb865d4d39fa9d463e7e346aef
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 30 16:03:06 2024 +0100

    Completed the Qt v6.8 support for QtCore.

commit 4e6354ef242452114591e52cdda83561495e08b5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 30 15:04:23 2024 +0100

    More work on QtCore for Qt v6.8.

commit a362e3d547d7d33cba18a4c64169b7cf9467352a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 30 13:14:42 2024 +0100

    Sufficient updates to QtCore for Qt v6.8 to allow it to compile.

commit a18ee62343a40fcda98d0d96762821b7cc6cbbda
Merge: d38b21d 5cdc174
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Sep 29 17:32:24 2024 +0100

    Merged the 6.7-maint branch.

commit 5cdc174304c48387151a80555f683af74394838b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Aug 13 11:05:20 2024 +0100

    Add /Transfer/ to all QNetworkAccessManager methods that return a QNetworkReply.

commit 990f4464dd4f96879f189e78cfd8e11e374bfc1d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 13 14:01:45 2024 +0100

    Added tag 6.7.1 for changeset 910298597934

commit d698f6edfca0f00ec26ad418dd686ed77b946cd1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 7 17:16:01 2024 +0100

    Added /ReleaseGIL/ to the setSource() and setSourceDevice() methods of
    QMediaPlayer to avoid a deadlock when using the ffmpeg backend.

commit 1edfe37289e7fdff15f1bdbd76cca31bbb1c9d6d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 1 17:43:33 2024 +0100

    Added missing files to the repository.

commit 312cc19adc1ac0151d18f3c0bb6e86f60c67eef4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 1 16:02:49 2024 +0100

    SIP v6.8.6 and PyQt6-sip v13.8 are now required for Python v3.13 support and
    for Linux on ARM.

commit 8b285923a8bc77287319a44baf76efc1694b6ea1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 1 15:53:36 2024 +0100

    Refactored the support for qml models to separate it from simple objects.

commit fa030683cc49103fd8ce3b18f2509b8398a6a43d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 1 15:30:51 2024 +0100

    Fixed a confusing comment.

commit 06bf71d57263764ae9c48b0701c946401da96acc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jun 29 13:14:49 2024 +0100

    The QML and Designer plugin loaders now use the modern initialisation API.

commit 100f3aceadb07236cf932ac78179fe20efcb626a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jun 22 14:24:49 2024 +0100

    Fix pyuic to handle fully scoped enum names in .ui files created by Qt v6.7.0.

commit d38b21d39a756eeb54d62c89efba381f095e6120
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 20 16:11:46 2024 +0100

    Added tag 6.7.0 for changeset 9ba237216b30

commit 0707ce68293be1d0b8f27785c0a0cc7233dc1721
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 17 12:45:16 2024 +0100

    Implemented QBluetoothUuid.__hash__ (but why isn't it inherited from QUuid?)

commit 590454d17279ca4080b8142a2d9030afdd32ca8d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 8 15:50:00 2024 +0100

    Ignore QProcess::failChildProcessModifier().

commit 9d992fb1953564bec97f0c8b63d8ae4ba15d70fc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 5 15:44:44 2024 +0100

    Completed the outstanding TODOs got Qt v6.7.0.

commit b2544b4aa546388cf7f01fbd6b2d9b9eb727de49
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Apr 4 14:43:00 2024 +0100

    Updated for Qt v6.7.0.

commit 445406eb4849f95aff41f2de5971cc990747fa6b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Mar 23 14:55:15 2024 +0000

    Changed the destruction of Qml proxy objects to avoid a crash. No real
    understanding of what's going on but the changes seem fairly insignificant.

commit d482763f122017016d5b031cebd1e13fbd088929
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 22 17:19:27 2024 +0000

    Updated for Qt v6.7.0rc2.

commit f0e0a641226f1c0149242b7f98f46ebecae767d7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 17 15:04:26 2024 +0000

    Added Qt v6.7 support for QtWidgets and QtXml.

commit 90dc585b9ff2fc0c13a9f1a3dcf4b4150b7e4d15
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 17 13:49:15 2024 +0000

    Added Qt v6.7 support for QtRemoteObjects, QtSensors, QtSerialPort,
    QtSpatialAudio, QtSql, QtSvg, QtSvgWidgets, QtTest, QtTextToSpeech,
    QtWebChannel and QtWebSockets.

commit 95c2e83a6c710a3b38db7194c79a8718cf6d3661
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 17 12:30:10 2024 +0000

    Added Qt v6.7 support for QtPdf, QtPdfWidgets, QtPositioning, QtPrintSupport,
    QtQml, QtQuick, QtQuick3D and QtQuickWidgets.

commit 301f4deaf4c6aaffcd2904262f72bb99b2c6c54e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Mar 16 18:31:19 2024 +0000

    Added Qt v6.7 support for QtHelp, QtMultimedia, QtMultimediaWidgets, QtNetwork,
    QtNfc, QtOpenGL and QtOpenGLWidgets.

commit 5db32d07da198167ae14e663e2a919fa0fcc0c7e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Mar 16 13:45:32 2024 +0000

    Completed QtGui and added QtDBus and QtDesigner.

commit 99f39433d25ef7f459f2cbf1f1a8e9f74ef99ec6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 15 18:24:57 2024 +0000

    Added initial support for Qt v6.7. (QtBluetooth, QtCore and a minimal QtGui.)

commit 0a9f9f475f28b96b398e7dcb8eb0f1a3f7ff0730
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 18 12:54:09 2024 +0000

    Tweaked README.md

commit f3200f4aaaf52ae3e20ad4a225ce60fbe8478c4f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 18 12:49:30 2024 +0000

    Migrated from [sip.tool.metadata] to [project] in pyproject.toml.

commit 15a657e7d0cc0d1116107caa51c6688eb5247e9a
Merge: e162ac6 01d8e6d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 18 10:54:45 2024 +0000

    Merged the 6.6-maint branch.

commit 01d8e6dac3b2bd08396d4c9fbc8838bc1b8b7c63
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 16 17:51:44 2024 +0000

    Removed a couple of warning messages.

commit 8e2f1a8181f6cde69e2d3c440e5507970613a77f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 2 11:35:20 2024 +0000

    Removed the product file.

commit 31353f0ee047136984aaae9f0c24ebd529677652
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 2 09:49:35 2024 +0000

    Fixed the use of QOpenGLWidget in pyuic6.

commit 939f333a785bc38bc3815157811eca360f37ebf1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 30 18:20:10 2023 +0000

    Added tag 6.6.1 for changeset 68ad2464c85f

commit d80e7e41389844238104bb29699947e2e1f6f275
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 18 14:45:11 2023 +0000

    Fix QWidgetAction ownership annotations.

commit e162ac6320c9d63ff4a0e91f83427bad4353fe95
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 25 09:09:34 2023 +0100

    Added tag 6.6.0 for changeset 7bd79ffe5e44

commit 4582878119ab4d93a3be08df0e8ec7faa735e028
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 24 21:37:05 2023 +0100

    Fix the handling og QSqlResult::boundValues() when protected is not public.

commit d193cf54b843e8728b05e6736fe9b08f59a6d5ef
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 24 16:51:54 2023 +0100

    The new UNIX process parameters handlign aren't available on Windows.

commit ab64832ab6194bdf44c64b58346e690855c8aa5d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 22 18:39:05 2023 +0100

    Fixed the type hints for QMultiMap.

commit 81d4d6201e67e6333783e7c161ee2de2c026675b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 22 17:46:57 2023 +0100

    Completed the updates for Qt v6.6.

commit 85c05baf47245bf9c9782ac3e6454d65879ef06e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 22 16:17:50 2023 +0100

    Updated QtBluetooth and QtSql for Qt v6.6.

commit 842d6f277a4d011aa89335899c08a4161fab0e91
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 22 14:58:03 2023 +0100

    Updated QtNetwork and QtWidgets for Qt v6.6.

commit 1301db493eda264fbaa90a6a929ca7d3c1af91d7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 22 14:32:52 2023 +0100

    Updated QtGui for Qt v6.6.

commit d92d014ebf46d106760bf884810f3ac101991e29
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 22 14:15:19 2023 +0100

    Updated QtCore for Qt v6.6.

commit 39ba5571948efdca6ef5e6f338b860f2a0d7ca84
Merge: b9fc6be 0910770
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 14 15:30:45 2023 +0100

    Merged the 6.5-maint branch.

commit 09107705fd5f04ffd132d3d3341ffaffc870a5d0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 10 11:04:36 2023 +0100

    Added tag 6.5.3 for changeset 8b5b0c663207

commit b2993648baa10de77e8e07f860ef2e700d6e2209
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 10 11:04:15 2023 +0100

    Removed a compiler warning message.

commit c3119b02a0ec0eb816b3fdd240d426a751af9bba
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 8 22:24:43 2023 +0100

    Removed a debugging flag.

commit b12fdafa137ea950ec455b0085d91bbee7ccc651
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 8 21:45:06 2023 +0100

    Changed the default values of the findData() and findText() methods of
    QComboBox so that they make sensible docstrings.

commit 2f142143946efb7a969ef3befeb360dcfa853e18
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 8 18:12:19 2023 +0100

    Properly fix the use of PyType_GetDict().
    ABI v13.6 is now needed.

commit 70edc19981b2269f7cc1113967cb1258fa0b28c1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 7 18:09:22 2023 +0100

    Fixed the memory leak related to sipPyTypeDict() and Python v3.12.

commit 03f3182210f2dd1a5074124a5d4b314b7d718aa9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Sep 10 12:49:27 2023 +0100

    Fixed a v6.5 regression where /PyInt/ was missng from qint8 and quint8.

commit c943a6e41f311235ec557b7900e61f7d11afa73d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 1 13:59:36 2023 +0100

    Fixed the convertion of QDBusVariant (and others) to QVariant.

commit a940060fb188fa582bed7da5c3af33deb0b3a1f6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Aug 29 17:41:16 2023 +0100

    Added the /__len__/ annotation to QModelRoleDataSpan.length().

commit d0d2b67e513f4d7bf3ebbc1bfd04e7013748a503
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 27 16:44:10 2023 +0100

    Added the missing QAbstractItemModel.multiData() method and QModelRoleDataSpan
    class.

commit 5cb036ed4f102ab8aba8dc0f4e22b2ffd3895978
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 22 15:14:51 2023 +0100

    Added tag 6.5.2 for changeset 38c17a29338d

commit a1b3fb4af9baf1a912d1525008e470f79b608f74
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 22 15:14:32 2023 +0100

    Fixed an exception in pylupdate.

commit ac1ee066349cda559e860b50f951beeae0322df9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 21 13:49:18 2023 +0100

    Fixed a regression in using None as a QString.

commit 2a984fd5fe76ec9609a02472928bd980de165938
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 15 21:53:51 2023 +0100

    Fixed the type hints for all ellipsis arguments.

commit 681a21d0e78e30666b553086292ff3081a7784e3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 14 13:05:39 2023 +0100

    Further fix fro QString's type hint.

commit 17d40218f94e6379f0692cab81999f67fd556c14
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 14 11:47:23 2023 +0100

    Fixed the type hint for QString.

commit a3b05402bab4d53e08262004a3c9a59110a921b0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 12 13:00:01 2023 +0100

    Another type hint fix for QObject.findChild().

commit 56c5b81277ff402307a89d9338cce4eee2a49273
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 12 12:49:13 2023 +0100

    Fixed the type hints fro QObject.findChild() and QObject.findChildren().

commit 7cbab9497235416a9eed5421a7d76573cca5c3a8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 9 12:27:04 2023 +0100

    Fixed PYQT_SLOT for the QtCore module.

commit 67f5f534f6a9544a085950f1d002f80262237ff6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 5 17:59:28 2023 +0100

    pylupdate will now look for tr() and translate() as a function as well as a
    method.

commit a270ffd214598f0127dbd5b2ffa9135a994295a6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 5 17:19:03 2023 +0100

    Fixed the type hint for pyqtSlot().

commit aa67d91aca64c71e2a4529223796641ca2f7d3ba
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 5 13:44:21 2023 +0100

    Fixed the type hint for PYQT_SLOT.

commit 9c12fde1a329e936b05b4edfd2f1bf0fddd271ec
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 5 13:38:04 2023 +0100

    Fixed the type hints for QByteArray and QByteArrayView.

commit 30355a93bb5669d4872d70ddae09a29262dfe95f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jun 8 16:17:51 2023 +0100

    Added the missing QEvent.Type.EnterEditFocus and QEvent.Type.LeaveEditFocus
    enum members.

commit 15171ca96b441db43c79b5429256996d4dc69eeb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jun 8 15:37:32 2023 +0100

    Added the missing QEvent.Type.NativeGesture and QEvent.Type.Quit enum members.

commit 6dd2e050107c810f834ce650999b2c9de829dae5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jun 4 10:08:29 2023 +0100

    Updated the NEWS file.

commit 32fe29355c0633c9cf53bd0cf0bd086ea280e4b3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jun 4 10:07:51 2023 +0100

    Fixed building against Qt older than v6.5.

commit b40d19fa64ac83b00a3c85b11ce9e1a7eba2fa41
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jun 2 11:06:21 2023 +0100

    Added tag 6.5.1 for changeset 443f350df939

commit 326cffe880c43019ebd4cbefc2e71ab88db4a042
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 26 12:02:26 2023 +0100

    Fixed a regression that broke pyqtSlot arguments that where typedefs.

commit 8efbf0c733b80dbc1d49274af2bad5b3edb27e44
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 25 15:17:31 2023 +0100

    Ensure the permission plugins are built in.

commit b48cf005b92b9faf5f531c96ca3e9568899a4858
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue May 23 18:44:02 2023 +0100

    Fixed the conversion of QPermission.

commit 1a44cc7a9d18533ab0ea91e52c15b07762ea1416
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon May 22 18:40:34 2023 +0100

    Fixed build issues with the permissions support.

commit cfeb761c78fa79df8e9d66b8906ae8da46c192d9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon May 22 17:45:49 2023 +0100

    Added support for QPermission et al.

commit bdca59256b989d07db62774e532bbd6e15b79111
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 24 18:08:54 2023 +0100

    pyuic6 doesn't, for consistency reasons, recurse when compiling a directory.

commit f1dafe47818bfcc6fc573e7d89b64caf48f9ea1a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 24 17:48:40 2023 +0100

    compileUiDir() can now compile muliple .ui files in parallel.
    pyuic6 can now compile a directory contents.

commit b9fc6bee28417eba9d08d0505908c559449c5f1d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 5 12:40:00 2023 +0100

    Added tag 6.5.0 for changeset db2b0386d4f1

commit ac29568ab586f5e7e215cd30e087b283ac9338ef
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 5 12:39:43 2023 +0100

    Fixed a regression in the handling of QFlags as signal arguments.

commit 5e2b165af2621ac175c08f3fef7f3430813cdefe
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 4 13:15:17 2023 +0100

    Added the QtSpatialAudio module.

commit 15fb44d8d87839e7e974976f1b2d0de56e9bf813
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 3 18:03:45 2023 +0100

    Updated for Qt v6.5.0.

commit e438f65219a6be38bc085d5601c4fb79346c7ac2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 31 14:55:30 2023 +0100

    Updated QtWidgets for Qt v6.5.0rc.

commit 18a8a8742007a6742e07a077f0e1f95900e69827
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 31 11:17:17 2023 +0100

    Updated QtRemoteObjects, QtSensors, QtSql, QtSvg, QtSvgWidgets, QtTest,
    QtTextToSpeech, QtWebChannel, QtWebSockets and QtXml for Qt v6.5.0rc.

commit 8d4fc19e092bc119cd1da46dadc226fdcdaed043
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 30 15:32:54 2023 +0100

    Updated QtQml, QtQuick, QtQuick3D and QtQuickWidgets for Qt v6.5.0rc.

commit 7193137beb4bace2b0b1dc5c8929911b0265d2ee
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 30 13:33:17 2023 +0100

    Updated QtNetwork, QtNfc, QtOpenGL, QtOpenGLWidgets, QtPdf, QtPdfWidgets,
    QtPoitioning and QtPrintSupport for Qt v6.5.0rc.

commit d66da58bc8fef387ff4e31bb99a3880adf4093fa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 30 12:24:49 2023 +0100

    Updated the sub-class convertor code for QtMultimedia.

commit b6242c54bfd2ed13763ed3e61f36ea671084158e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 30 12:18:59 2023 +0100

    Updated QtDBus, QtDesigner, QtGui, QtHelp, QtMultimedia and QtMultimediaWidgets
    for Qt v6.5.0rc.

commit 11ba52d195e9a1795b297cde80ef83e3fb67fe64
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Mar 29 17:06:09 2023 +0100

    Updated QtBluetooth and QtCore for Qt v6.5.0rc.

commit f83f64fedb05cd252a4bbde4ea9b4632dcfbcd10
Merge: 2be4a65 b740013
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Mar 29 12:44:56 2023 +0100

    Merged the 6.4-maint branch.

commit b740013b7c2031d0a7beb92cf4d01664b168b19d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Mar 25 16:12:02 2023 +0000

    Ensure Qt property getters and setters handle user-defined enums properly.
    Note that Designer still requires enums to be registered.

commit 5d18077245d2d759cd56af723fde858a79e76a4c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Mar 25 11:24:19 2023 +0000

    Improved the error checking when writing an enum property.

commit 77059490b4200f89516b1e8b2ddb195ab43dbeb1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 24 17:50:42 2023 +0000

    Fixed QMetaProperty.write() to handle values of unregistered enums.

commit 3beadfced79eba8e537c7eed60667ad17232ffa0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 19 21:25:35 2023 +0000

    Further improvements to reading user-defined Enum properties.

commit 74da6f0a5ea2b4913b188770e22055bb3708e05f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 19 17:06:08 2023 +0000

    Fixed QMetaProperty.read() for user-defined enums.

commit 4c48d1edb65ed9594a4c552cc485eedf7aec1bfc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Mar 8 12:43:14 2023 +0000

    When comparing types of a decorated slot, use the name of the C++ type rather
    rather than the meta-type (which may have changed).

commit 09f1de74335d2305dd4934231523b80e490a0c09
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 2 11:57:10 2023 +0000

    Added tag 6.4.2 for changeset 0cf0f5deb862

commit 106f82cb1e37d21c27090f8b41904361f5a346ae
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 28 16:34:19 2023 +0000

    Fixed a regression in pylupdate.

commit 144d0e4b01bbd22508a88f0e7aa87ce9e8198fab
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 27 11:40:23 2023 +0000

    Added tag 6.4.1 for changeset f633ac74eeef

commit 1dfd4ca30fc76d920466f5adbf7f654b07bd6c50
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 27 11:40:09 2023 +0000

    Fixed the embedded qt.conf on Windows where there are non-ASCII characters in
    the pathname of the installation directory.

commit 8ef984e16f657a1c9a93c52c7c14476c23133cba
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 22 21:42:33 2023 +0000

    Fixed the implementation of QSettings.value() for a list of strings.

commit 0b0702879fb6e780e7eb6b61995ad4f11d0c21a8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 22 15:23:20 2023 +0000

    Fixed the base types of the QPdfBookmarkModel.Role and QPdfSearchModel.Role
    enums.

commit edff18dcf048e619bd0cce87d206edbc73b6aa49
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 15 22:32:26 2023 +0000

    More Windows build fixes.

commit ff2695db3df10547d56108bbf6c36de6363fb6f8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 15 18:43:53 2023 +0000

    Fixed build errors on Windows.

commit b8ffc4ad1ac5fb9df6007ce1cf79be4a0b30cd9b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 13 15:47:07 2023 +0000

    Fixed the base type of the QPdfDocument.PageModelRole enum.

commit 1855b1699dc1e40181878f2a34e7ba7624ca345e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 13 15:20:00 2023 +0000

    Refactored pyuic so that parent objects are specified as keyword arguments when
    possible so that custom widgets can have additional, preceding optional
    arguments.

commit 15e7aad5accd80492459335a89e6f467d3ee7640
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 13 11:11:13 2023 +0000

    Backout the removal of support for unregistered enums as we still have to
    support protected enums and classes without a QMetaObject.

commit 501f9ee8a4e6951072593872831c40d9d75e3e80
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 12 13:07:18 2023 +0000

    Require SIP v6.7.6 so that all enums are registered with Qt.
    Simplify the enum support when converting types now that all will be
    registered.

commit 8d168b07700395597bc70b4af97fd37fd420a3b1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jan 11 18:10:56 2023 +0000

    Fixed regressions related to the handling of global enums in connections.

commit fb82646b92b04c02344ddc72d351d5e12918829c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 14 18:25:00 2022 +0000

    Fixed the handling of Qt properties when the type was a Python enum.

commit 07dae9f992894aed2f2bb3d98efd4e62c3cb18f4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 4 15:51:46 2022 +0000

    Added toHBITMAP(), fromHBITMAP(), toHICON() and fromHICON() to QImage.

commit 6380b16f334aea5cf0a1c75a99335a1d8daa2eb8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 28 03:28:56 2022 +0100

    plupdate will now properly exclude subdirectories.

commit 6ea6282f8210899064a3b4fcddb206f1889603c6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 28 03:10:58 2022 +0100

    pylupdate will ignore hidden files and directories when reading a directory.

commit 977ba8e26ffe740cfdeab872795e80e5d9756d65
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 28 03:01:35 2022 +0100

    Fixed uic.compileUiDir() when the default system encoding is not UTF8.

commit d8bd582194d6de8b7507cff615717fdf13d0ac17
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 10 02:43:27 2022 +0100

    Fixed QBoxLayout.insertItem() ownership bug.

commit d423422ea48755c87483a7508870f7f9d65352f1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 3 09:50:38 2022 +0100

    Added allocationLimit() and setAllocationLimit() to QImageReader.

commit 2be4a65f751938e689c55794e95054ba039fabb7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 30 09:09:28 2022 +0100

    Added tag 6.4.0 for changeset 72aaf7b1fea2

commit 8f6cda82c692a355e5bcea633461283d160f0e54
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 30 09:07:41 2022 +0100

    Updated for Qt v6.4.0.

commit 1d0a28a80b53a93ef80c295e5ebb48d2cb786f79
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Sep 24 08:38:53 2022 +0100

    Fixed the base type of the QTextDocument.ResourceType enum.

commit cb3958462382b264a7f46f6f3a593d8ee352b24c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 21 04:42:39 2022 +0100

    Added a missing enum annotation.

commit a43ca69c7375193893e6ac7c7d87412c4e86b47f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 18:49:08 2022 +0100

    Added the QtPdfWidgets module.

commit 9e41fa2142b9adc6a07d07507d1ecfa00ff0f318
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 17:59:49 2022 +0100

    Added the QtPdf module.

commit f677262c573815eb2f9752cd917396919948d935
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 15:42:22 2022 +0100

    Updated the rest of the modules fro Qt v6.4.0rc.

commit 7378d55f9f8a2be1ad55b209082c66a59e068f42
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 13:21:26 2022 +0100

    Updated QtOpenGL, QtOpenGLWidgets, QtPositioning and QtPrintSupport for Qt
    v6.4.0rc.

commit 1d881e9bf21b0ffacf37bc0bcf43524ac862631c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 12:53:06 2022 +0100

    Updated QtNetwork and QtNfc for Qt v6.4.0rc.

commit da9532fd6aa41b8910a78019cf715d8af904a2f5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 12:13:07 2022 +0100

    Updated QtMultimedia and QtMultimediaWidgets for Qt v6.4.0rc.

commit a00fb2a4c999f5b683187aa765ba5404dd14f53b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 10:19:42 2022 +0100

    Updated QtBluetooth, QtDBus, QtDesigner, QtHelp and QtXML for Qt v6.4.0rc.

commit 129daf1fb487b2ecc684ab88a71e94e058f6c887
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 20 09:28:30 2022 +0100

    Updated QtWidgets for Qt v6.4.0rc.

commit f6ce3e14368af29aa139b72e93c6e95ee27e8ea5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 19 23:28:46 2022 +0100

    Updated QtGui for Qt v6.4.0rc.

commit 78b8ff71ef3b919f8593c277f83272ad8b966b0a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 19 22:36:28 2022 +0100

    Updated QtCore for Qt v6.4.0rc.

commit 2498e3bf551ea2c97d487d5f4da2bb4aa9524509
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Sep 18 22:39:12 2022 +0100

    Updated the NEWS file.

commit 42f9e21906063e54542632c821a09459b22d6d61
Merge: 3ee71cd d8cab12
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Sep 18 22:38:03 2022 +0100

    Merged the 6.3-maint branch.

commit d8cab12c3b66ef385caf3f7e593b687bac9af034
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Sep 17 22:38:35 2022 +0100

    Fixed calling QObject::inherits() from C++ on instances that were created by
    Python (and so was an instance of a generated derived class), had it's
    ownership transfered to C++ and the Python object garbage collected.  This
    broke all sub-class converter code.

commit 7b3df5e4f010be1ba43ec38384ef704411a29f4d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 15 12:11:05 2022 +0100

    Fixed an incorrect test that breaks on Python v3.11.

commit 9868ea39f0488f4a6f503020490313c6e0059dce
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Aug 16 19:56:11 2022 +0100

    Fixed the base type of FocusPolicy.

commit 247ca216e98f76a3e703f74c9108e99367615f18
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 24 10:07:54 2022 +0100

    Backed out changeset d3417110f23a as we can now fix universal wheels on Linux.

commit 8aad4ab29cb32d7c8babf771014daf122782d5c6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jul 19 15:20:06 2022 +0100

    Added QAction.menu() and QAction.setMenu().

commit 616d1794a4c5f2fe9396efb870aebee293bc4ced
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jul 19 13:47:36 2022 +0100

    Fixed pylupdate when restoring vanished messages.

commit e58ef62085b3effea0a7f95a66a6f84f5c380587
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 16 18:24:58 2022 +0100

    Fixed the license check in commercial wheels for macOS.

commit cc350d2b37460ea5c524e071a5aa7aaf0cad4551
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jun 30 09:21:51 2022 +0100

    Fixed pyuic's handling of Qt.ShortcutContext.

commit 650df934885c82cdb7f2e13d5cdb65f2c1924462
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jun 25 15:32:44 2022 +0100

    Fixed building against Qt installations with SSL support but no DTLS support.

commit fe409976edc55ca443e5d465c19d2626201a4757
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jun 22 18:45:06 2022 +0100

    Fixed the handling of enums when they haven't been registered with Qt's
    meta-type system.

commit 23cd64717b0822969d8f1cf8a6829a7c60771e27
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jun 17 14:30:00 2022 +0100

    Added tag 6.3.1 for changeset 247d2c1d453c

commit ca763015967845f9a04988502756cd882186bd0c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jun 17 14:12:12 2022 +0100

    Fixed issues when emitting signals with enum arguments.

commit f3ba160e85c03f8552fd391d07cfa9c59e6a4ccd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jun 15 12:08:02 2022 +0100

    Added qRegisterResourceData() and qUnregisterResourceData.

commit b9c5353dcf557f7896680450030868e04ca80903
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jun 6 17:52:02 2022 +0100

    Reordered QPainter methods so that QPolygon[F] are not handled as sequences.

commit 187b7dde515ddbbddff02c64a8cf993ce43bdd20
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jun 5 13:23:45 2022 +0100

    Fixed the handling of char* slot arguments.

commit ffd87d581ad0f4d6f72adc569b165eb85ab0d4eb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 20 17:37:18 2022 +0100

    Refactored the QPainter draw methods to exploit sip.array objects.

commit 3ef17fde478753a0682790386ebb3b7fef57df49
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue May 17 07:25:11 2022 +0100

    Updated the NEWS file for sip.array.

commit 9f673f2bb0f1fcf2a375c37df9d018f542e9687f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 15 17:23:08 2022 +0100

    v13.4 of the sip ABI is now required (for the missing enum member support).
    Reverted the support for using an int instead of a Qt.GestureType.
    Deprecated (rather than removed) the QEvent ctor that takes an int argument.

commit 6cab9a805c0d23580cbc6b092d26ed26d17c36a2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 1 11:37:40 2022 +0100

    Fixes for building against a debug version of Python.

commit b310629ccba56ef6198b67643f8a6ee916c1eab4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 19 16:38:00 2022 +0100

    Added resize() to QPolygon, QPolygonF and QXmlStreamAttributes.

commit 3ee71cd0547cfd6484d4dccc2cefd2ddb33e1831
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 12 16:01:34 2022 +0100

    Added tag 6.3.0 for changeset 373bc2a6447e

commit e60fc14fe8386da0f4c6108297253741768d7ffa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 1 11:59:47 2022 +0100

    Fixes for when building without protected being public.

commit 240a55e6b350d22c156ba8d4fcdb17a060251cf3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 1 10:43:13 2022 +0100

    Removed some legacy SIP v4 support.

commit 3dee79ec3b2a0db9ee124eb3000c27ce21aaaf88
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 31 17:48:51 2022 +0100

    Updated the remaining modules for Qt v6.3.0rc.

commit de76f7b0317c2bbb3e362bfb4d6c30bcc50386be
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 31 14:45:11 2022 +0100

    Updated QtHelp, QtMultimedia, QtMultimediaWidgets and QtNetwork for Qt
    v6.3.0rc.

commit 7fef119e7ec8379899374b0785bd8e02e539b27f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 31 13:13:28 2022 +0100

    Updated QtBluetooth, QtDBus, QtDesigner and QtGui for Qt v6.3.0rc.

commit 7928d9cf718a358415f6f4cda24a512374489604
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 31 12:24:27 2022 +0100

    Updated QtCore for Qt v6.3.0rc.

commit d4ce90716c8460a3095bc07e2c651fe93e0947ec
Merge: 1652611 373b5fe
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Mar 28 22:12:13 2022 +0100

    Merged the 6.2-maint branch.

commit 373b5fe625a50a067954962d2a584cebc02e0f53
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 18 17:19:55 2022 +0000

    Keep a strong reference to methods when they are used as slots.

commit ef9afde83fbe9bcdf6678675876438951fb20978
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 26 15:16:05 2022 +0000

    Fixed a bug in the tidying up of QQmlListProperty.

commit 3e854f6e6b5023652da420c24062699135baa7f1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 1 12:48:55 2022 +0000

    Added tag 6.2.3 for changeset bf840012bc47

commit 858de28124315fe8bada6548e3f36ccad54d63fd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 1 12:36:21 2022 +0000

    Explicitly support comparisons of Python objects wrapped in a QVariant.

commit 0730d3aa259418b16bb72f9d825319d6c7746540
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 1 10:27:34 2022 +0000

    Release the GIL when calling the QThreadPool dtor.

commit 899d4b61f7287856c4ced740f28de3fc03360982
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 1 10:17:12 2022 +0000

    Fixed the QLocale.FloatingPointPrecisionOption enum.

commit 773b7869ca132c2154d75f4385fe35ac8db3d45e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 25 10:55:23 2022 +0000

    Removed a couple of undocumented operators introduced in Qt v6.2.

commit 3a63a4ba86f6dc140999693b8f66be4aca3633c2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 24 18:01:23 2022 +0000

    Fixed the QFont.Stretch enum.

commit bd53c77a94c7c18c5687f731ef94a7b0287e705e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 10 17:35:06 2022 +0000

    Fixed the usage of Qt.GestureType to account for Qt returning custom values.

commit 7c1384436be26264fa13667b1476d2328de8597b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 7 13:26:28 2022 +0000

    Fixed the QSizePolicy.PolicyFlag enum.  However currently it can only be used
    in combinations represented by the Policy enum.

commit 2cdac4add46cb2d71c4031e04ab38b0cef248768
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 4 11:44:10 2022 +0000

    Fixed the QTableWidgetItem.ItemType enum.

commit a4bc1cf1a76d07f4598f927861ecebc9e54576c4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 11 17:06:15 2021 +0000

    Fixed the handling of the result of QSslCertificate.subjectAlternativeNames().

commit 9ae4cf5e2f6de479519743570e37d0bf33c4fe93
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 1 16:48:33 2021 +0000

    Added tag 6.2.2 for changeset dd1923cdf995

commit c9d4b9e153ea94c07fa1a0c56fba34d277661554
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 1 16:27:38 2021 +0000

    Added the missing QMediaPlayer loop-related methods.

commit df2da0c9595ec237c032134709c72434b51ba575
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 29 12:37:25 2021 +0000

    Fixed the toString(), toDisplayString() and toEncoded() methods of QUrl to
    accept QUrl.ComponentFormattingOptions flags.

commit a417b0aba5e5082a8c458e666b3f1e06e3d39dd2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 29 12:01:25 2021 +0000

    Use a dedicated QEventLoop in the event hook as Qt6 seems to hide windows when
    the main event loop exits.

commit fb8735cf7955ef805f9b209e2c9b20ffd31b24d7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 24 10:58:08 2021 +0000

    Fixed the QListWidgetItem.ItemType and QTreeWidgetItem.ItemType enums.

commit 2d8f9b17846067aa3efe8c4dafa022725119c29a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 22 16:06:29 2021 +0000

    Added /Constrained/ to the QVariant serialiser so that it doesn't act as a
    catchall and bypass all subsequent serialisers (including slot extenders).

commit 8ac6ef8b2cc298275b45f818d6f877da1a681243
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 21 17:41:43 2021 +0000

    Update the minimum ABI version of the sip module.

commit 015aedecda5e49f8bd4cab945c108f3f64231408
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 21 16:56:10 2021 +0000

    Qt.FocusPolicy members are now flags.

commit 98381e6e2aebe8a2089956b57c493751f55f3266
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 21 16:54:19 2021 +0000

    Fixed the QStyle enums that have a custom base value so that the value is
    unsigned and can be added to.

commit 317b5f7951d476b4bb1b340d12c744d01be00b06
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 19 12:24:54 2021 +0000

    Fixed pyuic handling of alignment flags.

commit 9b10d1037ffcf14fdd8d6194b6ec2a31924688f2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 18 15:49:01 2021 +0000

    Added the missing QBluetoothUuid ctors.

commit 00c8b3f1104b0fc9b2c3da0b285ab77b98029276
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Nov 16 14:31:17 2021 +0000

    Fixed the QBluetoothDeviceDiscoveryAgent.DiscoveryMethod enum.

commit 58c18db189084268ddbae196b68721d62ec705f9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 15 09:49:52 2021 +0000

    Fixes for pyuic handling of QFormLayout enums.

commit 7c9af06ce6260f28b977ad793c887d53cfc6de74
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 28 10:38:07 2021 +0100

    Added tag 6.2.1 for changeset a2c450b78bfa

commit 274e3eb9f47584d5051fafd2b87808898fdbf222
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 28 09:51:33 2021 +0100

    Added the QLowEnergyController.mtuChanged() signal which is now documented in
    Qtv v6.2.1.

commit dca8aefee1c70e067960d26a88fac573f52a001b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 17:27:13 2021 +0100

    Generate typing information to ignore connect() in pyuic generated code.

commit 72f3d8451513b0ed3adff8ee5b55fbf09b7ac58f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 15:33:15 2021 +0100

    Fixed pickling of QByteArray with Python v3.10.

commit 3f0ce6cee7bcdf33dba46765642be94dfa73d7a2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 14:36:38 2021 +0100

    Added the QByteArray pickle test.

commit dc8384b31fe0139a37d3614551be87817f63ea40
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 23 14:08:53 2021 +0100

    Remove QObject.__getattr__() from QtCore.pyi as it hides missing/mistyped
    attribute names.

commit ed9e77bb8f5c11d33045703c2736f7b581036029
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 22 13:58:49 2021 +0100

    Fixed pyuic's handling of QAction::MenuRole.

commit 291dc1580ed62f8aeaca61abe39f7912a362c266
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 16 11:11:24 2021 +0100

    SIP v6.3.2 is required to fix the /KeepReference/ in QImage ctors.

commit 2ff1d07635f2c84e49a5d468e489c114ac0a8bcc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 4 11:59:18 2021 +0100

    Fixed QCoreApplication.translate() when the third argument is None.

commit 1652611d320c52c498196d741cc88d93c9c69f9e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 30 14:52:01 2021 +0100

    Added tag 6.2.0 for changeset 0bb49dbf5c8b

commit 8372a7c6e3c1b2a5856e2bc766ebad25a8dc97e9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 30 14:51:45 2021 +0100

    Updated for Qt v6.2.0.

commit 17f0b4c7a6155cb512b3ab31d1b9812050a788d0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 29 09:36:01 2021 +0100

    QCoreApplication.exit() is a slot from Qt v6.1.

commit 98813e5f32562ce3ccac113cea438c0a5677ca28
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Sep 25 15:13:09 2021 +0100

    Fixed the invocation of meta-type methods so that the result is available.

commit 0648661f4d03c761de2ca8ecf859487c502e6e66
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 23 17:09:00 2021 +0100

    Removed the 'unsupported' directory.

commit 5bfa67adfe60515680818698ac4616c5752cbb08
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 23 17:08:19 2021 +0100

    Fixed the problem with QtRemoteObjects.

commit 24dfb7bce99a68e07c5141ea263fac2b69f50288
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 18:32:22 2021 +0100

    Completed the port of QtNfc.

commit 9b3467fad7b3b2c962793101838dd2fe90d74706
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 18:28:50 2021 +0100

    Completed the port of QtBluetooth.

commit 0d19a615c3fec09f89a99c5afebfd9bd81297f90
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 16:58:22 2021 +0100

    Added QtBluetooth and QtNfc to project.py.

commit 53296adce6aeec9c55ea8dbc40b5c163bad0204c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 16:52:11 2021 +0100

    Initial port of QtNfc.

commit 1174579cb1c97721be7693e1d5afeaa511f1f1ce
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 16:20:02 2021 +0100

    Initial port of QtBluetooth.

commit 3d842c88d7e95c8249d8fcf9d45abcdfacd8ceb6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 15:40:13 2021 +0100

    Updated the sub-class convertor code for QAxContainer.

commit a576605ac4ef73f61ede285b143a3c42739edda0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 15:06:14 2021 +0100

    Add QtBluetooth and QtNfc from PyQt5 to the project file.

commit 6c40d104cbff06ebd49d759c4183c2271b59fae3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 14:45:51 2021 +0100

    Tidies up the 'unsupported' directory.

commit 35599b5a2ace0856d4b435cf852984b7dce0fa57
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 14:22:59 2021 +0100

    Ported QAxContainer to Qt6.

commit 259675611113ceefa0d72966deafd2f453b11110
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 22 11:31:00 2021 +0100

    Enable the build of QAxContainer.

commit 5e83bbf3f69b812ff83dd740668e9177a4f2d38e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 17 18:42:57 2021 +0100

    Updated for Qt v6.2.0rc.

commit 887d653ddd61bde3190f2d209f7c4c8e0bdb9fdc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Sep 5 13:13:09 2021 +0100

    Fixed the QNetworkInformation.reachabilityChanged() signal.

commit 107e60ea9c024c7234d10e37a647634270f6e63e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Aug 27 12:34:30 2021 +0100

    Added the missing QMouseEvent.pos() which is now documented.

commit 7d7334dc134138cdb09e3f66dbbb035a59f18679
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 26 17:18:40 2021 +0100

    Fixed the QUrl.ComponentFormattingOption and QUrl.UrlFormattingOption enums.

commit a2163f293f781066a08e9a1492ed8b65da0563ba
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 26 16:42:38 2021 +0100

    Disable QtRemoteObjects in the build system as the workaround doesn't seem to
    be reliable.

commit 3d01cfcff507175fccea08af8d4e5bc18e6e729f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 22 14:14:58 2021 +0100

    Worked around the problem with QtRemoteObjects.

commit 32630f62a83ecb4b31bbe34b50b50db77105e3ca
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 19 16:25:14 2021 +0100

    Updated for Qt v6.2.0beta3.

commit 9f6f4b80d3f8ad3fc78c4cb5d0f5c2159567702c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Aug 7 10:10:44 2021 +0100

    Disable QtRemoteObjects because of apparent problems with Qt v6.2.0beta2.

commit 7d958b2b015e880885e6fe9a1d9b866a9f5ded29
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Aug 6 14:40:39 2021 +0100

    Updated the SIP and PyQt-builder version dependencies.

commit fbb5f92b6381b466e3128c0edf515fa9764d8bbc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 15:52:23 2021 +0100

    Ignore multi-data in QtRemoteObjects.

commit 820fb7c8b15956916baa3b4501cfda58c38fad87
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 15:47:09 2021 +0100

    Added QtWebSockets.

commit 49af1ded7223602e5fa0fa3873eefa255164e695
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 15:24:12 2021 +0100

    Added QtWebChannel.

commit 55d09e0b161878ef87058212d323d2b5748046e1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 15:12:52 2021 +0100

    Added QtSensors.

commit f216a750b9335087302b3baf702a2c27a7cad5cd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 13:44:36 2021 +0100

    Added QtRemoteObjects.

commit a843eea79fb506cdc8e2484e02f907f6835be1b7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 12:35:25 2021 +0100

    Added QtPositioning.

commit 70d9c4c2451280cb57d2288336ea1d5b2d28bf1f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 09:47:04 2021 +0100

    Added the QtSerialPort module.

commit 55c00707772ca3e2db6f9dcaf6d3c181b629b734
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 09:37:39 2021 +0100

    Removed QtBluetooth and QtNfc from the build system.

commit dd438eef0dee9cb12bf765135f3675aefe0886af
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 09:17:31 2021 +0100

    Removed QtBluetooth and QtNfc from the project.

commit 77e9021505898d2a975b0d52faca6e34bc80e692
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 5 09:13:22 2021 +0100

    Added PyQt6-Connectivity as an unsupported project.

commit 381841692c06fbf68b359a7be59fd70536ccc1bb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 1 16:28:23 2021 +0100

    Added the camera example although it has a number of issues.

commit 2a3110a0e20b2d13291490d3dd637eea2feb705c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 1 16:22:18 2021 +0100

    Added QMediaRecorder.captureSession().

commit cd2e65171a8f7f4033278daf52381755a178833c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 1 16:12:30 2021 +0100

    Added the QList mapped types for the QMediaFormat enums.

commit 2b14254e5d5efb0c5118864c5e90eda7f1520935
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 1 15:27:11 2021 +0100

    Implemented the mapped type for QList<QImageCapture::FileFormat>.

commit 645f2ce1881f951e51bea090508dc68494234a88
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 1 15:10:13 2021 +0100

    Added the FileFormat related methods to QImageCapture.

commit 5d20ad514ecd2b6d9d6131b1253a9eaa791abda6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 1 14:08:02 2021 +0100

    Fixed the QMediaRecorder signals.

commit 4caf19f2bec4691581969312315bcacf01dd2028
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 31 16:59:33 2021 +0100

    Added static methods to QMediaFormat.

commit da8217bb3485df54debab934a4a1c2964a314b92
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 31 15:16:01 2021 +0100

    Updated for Qt v6.2.0beta2.

commit e17716b27679eeb831c15ca213701551624a68d9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 31 13:42:33 2021 +0100

    Added the videographicsitem and videowidget QtMultimediaWidgets examples.

commit f4f85bf5e8ecdcb7aad0f45bb9d510fdcb14b54b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 31 12:57:29 2021 +0100

    Added QMediaMetaData.keys().

commit 98d6eb38944e3ef9215163fa2fad7d42d6c645c1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 31 12:53:25 2021 +0100

    Added QMediaMetaData.insert().

commit c32514e9c01440f3d9c67c123127f554e77392c8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 28 22:25:38 2021 +0100

    Added the data() and constData() methods to QAudioBuffer.

commit f49707b8e70453e19f0489b857cefbb9fab6d807
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 28 15:57:15 2021 +0100

    Fixed the QMediaPlayer signals.

commit d1e62bf36fe7fe4dbdcd3c2f7c7f0e35b1e7e7cd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 19 12:05:22 2021 +0100

    Ported the QtMultimedia examples from PyQt5.

commit 774dbc8c927a59583ff081699167e72c7e8f9182
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 18 01:40:28 2021 +0100

    Added the QtMultimediaWidgets module.

commit eba64701797bafdb807488946065f3c859b8cc12
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 18 00:56:14 2021 +0100

    Completed the initial support for QtMultimedia.

commit 7031d3ad5c9751b65e37d0aeba110809551dc348
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 17 13:38:49 2021 +0100

    Completed the first pass through QtMultimedia.

commit 5349915733c44fbea40f3422e6a30278af685f5d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 16 16:01:48 2021 +0100

    Started work on QtMultimedia.

commit 5ea0e5bcfa19f2bbb84cd3ee285dc66498947e64
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 14 09:30:16 2021 +0100

    Fixed building against Qt configured for OpenGL ES2.

commit dd18b8aa43163ce6fdd7f9b28fe6b89b2f185ab3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 12 17:43:58 2021 +0100

    Added the std::pair<qreal, qreal> mapped type needed by PyQt6-Charts.

commit 70f730547ace842979dcb5b508f8a56b00129cec
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 12 17:34:32 2021 +0100

    Fixed an exception message un the QList<float> convertor.

commit b772b17ff9949fc1ecf25fdd6d41a5f1d9b6f931
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 12 16:37:20 2021 +0100

    Completed the support for Qt v6.2.0beta1.

commit debcf6f5e9701fd2050583bafe26d1ef93f98477
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 12 15:45:08 2021 +0100

    Initial pass through Qt v6.2.0beta1.

commit eacb6eaffdd10e3a57b792f10018fec9e5467af1
Merge: 48cc48d 604ac7f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 12 12:57:47 2021 +0100

    Merged the 6.1-maint branch.

commit 604ac7fe5896309be25c296cb33b96589be6d1c2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 9 14:38:06 2021 +0100

    Fixed the ordering of the QCompleter ctors so that a QAbstractItemModel
    argument doesn't get interpreted as a parent QObject argument.

commit 834a7427a88b6b2487346e9583a9187102f6ea48
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jun 13 10:43:56 2021 +0100

    Added tag 6.1.1 for changeset 4a8c6ec34804

commit 8c8ec954298cb2ec71b110210f72424234643bd1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jun 13 10:43:43 2021 +0100

    Fixed a v6.1.0 regression in QImage.fill().

commit dbd84e0c2c03fe3a69ac0264684fee666278e060
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jun 3 22:21:39 2021 +0100

    Fixed the base type of the QFileSystemModel.Roles enum.

commit 015966791c91d99eb66801b333bbd605f9bbedda
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 30 16:00:43 2021 +0100

    The pylupdate6 summary is now created with one print statement to reduce the
    chance it gets mixed up with other parallel output.

commit de9e3f49d14a050fc0901ee3b394dd532439621c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 30 15:49:59 2021 +0100

    pylupdate6 bug fix.

commit fa21020e77fff45c0c86784be62d12b1e362c784
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 30 12:41:46 2021 +0100

    Always use POSIX line endings in the .ts file.

commit e01befe202af8d74a616622a1752dc441f962430
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 30 12:31:27 2021 +0100

    pylupdate6 now handles PEP 263 embedded source encodings in .py files.

commit a3ef2a29f43dcda59dc4e7db273b0bf2efe73a9b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon May 24 12:27:37 2021 +0100

    Added the --exclude command line option to pylupdate6 and the corresponding
    Python API.

commit e9881dcf38b0382654b9004c376d63dfd60e6ca7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 21 15:41:24 2021 +0100

    Completed the full implementation of the QMultiMap mapped type.

commit b7ae102ece456768b13841106a212b8420dc2e7d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 21 11:30:24 2021 +0100

    Fixed the conversion of QHostAddress.SpecialAddress.

commit ee53720ccbda48628428021a0f6fdfa31f2e570d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 20 17:10:56 2021 +0100

    Fixed the conversion of bytes objects with embedded zeros to QByteArray.

commit 290295d7ebecc1e3be0207d9a6e81a31611580be
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 20 14:29:48 2021 +0100

    Fixed the handling of char* in signal and slot signatures.

commit 5454d224279c8526c461b2d840ac848255075f89
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 20 11:46:32 2021 +0100

    Improved an error message.

commit 6c02ead6d6e046942a7317ed2eee6ee4b070749f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon May 17 11:21:36 2021 +0100

    Restored the QtCore.QXmlStreamAttributes class from PyQt5.

commit 7a02945373672f3b5094c0614909406c73725e7c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 14 15:06:04 2021 +0100

    Added the missing QtQml.QQmlExtensionPlugin class.

commit 48cc48d4041836482cc8e8549f0affe4ffb85271
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 7 14:40:49 2021 +0100

    Added tag 6.1.0 for changeset 596ddcf79bcb

commit 2e96885335a0994be474fe0d70885081c727c9f9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 6 16:23:01 2021 +0100

    Added support for QJSPrimitiveValue etc.

commit 594eb88131fc9db5563cdd64bba77e9ec066d4a8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 6 15:40:32 2021 +0100

    Added support for QNetworkInformation.

commit 353aee9f219a832907afd32737afb0af41918ffa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 1 13:39:06 2021 +0100

    Updated for Qt v6.1.0rc2.

commit c1350b7de212f7ee6990622feb4275337c3d2364
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 26 10:39:46 2021 +0100

    Added the missing QLayout.setAlignment() overload.

commit 8b8178c74615451e2a37acb6b1095778fe0b2ec0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Apr 25 12:52:07 2021 +0100

    Fixed __rmul__ for QSize and QSizeF.

commit c24f4890576fe69bee02bd139269c51c8016dd9e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Apr 25 12:07:04 2021 +0100

    Fixed the handling of QFlag properties.

commit cb82190e998651bc647ea95f1f87362452805984
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 24 20:13:36 2021 +0100

    Updated for Qt v6.1.0rc.

commit 242316bcaf5f497139d99942849dc9f426148fd5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 24 20:01:07 2021 +0100

    Fixed the conversion of QFlags.

commit 3c5718e2422832267a6d213d6c7b27dea94355ae
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Apr 22 09:26:12 2021 +0100

    Fixed the automatic conversion of a QEasingCurve.Type to a QEasingCurve.

commit b62489604b6f5984a171746c989036dc35974e41
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 21 11:25:38 2021 +0100

    Fixed the base type of Qt.WindowFlag.

commit 9fad13124d4e7fe5a22e49b65aa01b81239ec6df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 19 14:30:03 2021 +0100

    Allow QEvent and QChildEvent to be created using an int event type.

commit 60ca9910502f8ce53d1a82b86e230280c7e95f9f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 17 12:17:06 2021 +0100

    Added the resource provider support for QTextDocument.

commit 1f894dc32da8d8f3c2d5d848ced026fb35bdd50a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 17 10:01:18 2021 +0100

    Implemented the resource provider support for QLabel.

commit c3fb5e78edc2664cca9764be99302f274473a728
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 16 12:39:17 2021 +0100

    Fixes for the plugin loaders.

commit 00147a0b1f9c4859ed25b1b2f5b5d9f009d3c24b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 16 12:36:01 2021 +0100

    Completed the QtNetwork changes for Qt v6.1.

commit 53467ed4b7871f6b8cc8aeb173d5d6bbeb7212f9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Apr 16 11:01:13 2021 +0100

    Updated QColorSpec for Qt v6.1.

commit 4307ebc3c5542ccf10fc3652c2c3c05fba9c38a3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 10 18:04:16 2021 +0100

    First pass through Qt v6.1.

commit 5d61e9cec9c33922538850a15b34225940112539
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 10 15:37:07 2021 +0100

    Added a base version.

commit f61a96ed6c618bba60ab32bc537d13ad60a87f77
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Apr 10 10:13:05 2021 +0100

    The developer notes are no longer required.

commit a4317d0e5e6221fcf249716317a9f8b768951199
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 5 11:08:49 2021 +0100

    Another forward port for QtWebEngine from PyQt5.

commit 81e34a91041d81d0a1b2507ca3c24ea554e9e428
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Apr 5 10:43:06 2021 +0100

    Forward ported the latest QtWebEngine changes from PyQt5.

commit 172de47ac6f3a0fbeacd08a8520fe5d95a40ac26
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Mar 31 17:53:58 2021 +0100

    Removed the last vestiges of QtDataVisualization.

commit 764c9b8a0f9a1ceaaa0a368b6057c384bbfbf974
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Mar 31 09:54:29 2021 +0100

    Fixed the base type of Qt.Key.

commit 87e694f2ab5faa2462be7708d902b3696415e5a2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 30 15:05:44 2021 +0100

    Allow an integer ARGB value to be used whenever a QColor is expected.

commit 0e7e763c8a59ab17adfa626b457365676ded448f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 30 13:24:47 2021 +0100

    Tidied up the "unsupported" project.

commit 3c42c6e2e4cc7dee8d088707a41808b9ac9bf092
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 30 13:13:11 2021 +0100

    Fixed the unit tests for the renamed flags.

commit e2478a3f8d4eb9ed2354616b002a1a40e50ba367
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 30 01:56:50 2021 +0100

    Removed PyQt6-Charts and PyQt6-DataVisualization "unsupported" projects.

commit 741325d903c4fd25584948592092d1bcd9fa29eb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 21 15:50:08 2021 +0000

    Updated the NEWS file.

commit da3d7c92448a50f43c716ab15c26e5953f226102
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 21 15:48:27 2021 +0000

    Removed all the renaming of flag based enums so that they use the enum name.

commit 92af459504fdb9216c3b146aeab7facb77073d9e
Merge: df8de70 fd61c9b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Mar 21 13:15:57 2021 +0000

    Merged the 6.0-maint branch.

commit fd61c9b3ad143ccb43d371657cda6acfb45dc8ab
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Mar 10 16:14:57 2021 +0000

    Fixed pyuic's handling of the QLayout.SizeConstraint enum.

commit 15e3d16bd96eaa3ba3324614e1e03503de703d2b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 5 09:19:09 2021 +0000

    Added tag 6.0.3 for changeset b53bfff704f6

commit efb0c6770dd034b0ee91f89635e9e94f5641527b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 5 09:18:59 2021 +0000

    Released as v6.0.3.

commit 2f82e3f37f4e74102c515de431c2edc6291dae5e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 5 09:18:31 2021 +0000

    Fixed the embedded conf file.

commit 50bd3b10e7631b78f3870e450e4077431d3481bd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 4 16:56:34 2021 +0000

    Fixed the Qt subdirectory in __init__.py.

commit a6e75a9bd92baa87e0642edfe0fc8f176afe22fc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 2 17:58:47 2021 +0000

    Fixed QAction and QActionGroup in pyuic.

commit 083b95a63dd818798cf769c00640be56fcef4a4e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 2 14:23:19 2021 +0000

    Updated the NEWS file.

commit edccc6cd500772d8f774b3abe6f9401d4fcff6f4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 2 09:02:45 2021 +0000

    Fixed the base type of QDialog.DialogCode.

commit eda5b1add6b0499420f3d13f188e94f4a7017054
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 27 17:31:14 2021 +0000

    Fixed the project dependencies.

commit 5351e986496836e34f55a81eaa72730ce7aa9d6a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 26 14:51:24 2021 +0000

    Changed the base type of QMessageBox.StandardButtons so that exec() can return
    a button as an int.

commit bd9c2cb3ee435f90ddbf90f26e0ba4a1339b13de
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 25 21:19:49 2021 +0000

    Fixed the handling of DockWidgetAreas in pyuic.

commit b73eb25cff0a27fe7e8cc91f9487ace75c5fbb72
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 22 17:12:04 2021 +0000

    Added tag 6.0.2 for changeset 79c47417a960

commit 7e09fb016a90c8b2a95ac8f2bb78347a63361b41
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 22 17:11:59 2021 +0000

    Released as v6.0.2.

commit 717f4a2599f0c14bd61e9884e1d2967d35aa6ee7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 22 17:11:30 2021 +0000

    Updated the NEWS file.

commit 253637995951f98a3a369d540a21e675d502bdd2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 21 15:55:54 2021 +0000

    Fixed a compile error in the Python-dbus support.

commit 5caaa3291442336536d10963ce29309c4d8d97b6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 15 18:02:26 2021 +0000

    Rely on PyQt-builder v1.9 to set the minimum glibc and macOS versions.

commit b8e0c5a678ef672e1eca2766056de842b0dcc664
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 15 17:46:13 2021 +0000

    Fixed a number of potential deadlocks in QSettings and QLibraryInfo.path().

commit e44dc31d199d3cfb1ba52d5f7beb57ac0f6e86df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 13 13:12:50 2021 +0000

    Removed the internal QQmlExtensionPlugin class.

commit 6173b9042fab2d4164522fcbaebbb6ccf6ff2884
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 13 09:45:42 2021 +0000

    Removed the internal qIsGray().

commit 5273ee056c898657fe8e44ee64127b7b093d8c00
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 12 18:17:46 2021 +0000

    Removed the internal qSharedBuild().

commit f10d4b712e7b4239ad55777f99d68fe383cabb69
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 12 18:11:41 2021 +0000

    Removed the internal qIsNull().

commit a6613ba810d0e342d7f35b5184a6c6fa274309b8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 12 18:01:52 2021 +0000

    Removed the internal qErrnoWarning().

commit 61ac70e9fd55509b52098494021103c223edf961
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 12 17:00:14 2021 +0000

    Added the missing QTextStream-related functions defined in the Qt namespace.

commit 97ad8f38db55b3c1ec2eb303d3a138b50b116e49
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 12 16:45:13 2021 +0000

    Removed QT_TR_NOOP_UTF8.

commit f140f75babd54eff887aabc1a0e4fa2e7578315d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Feb 10 12:51:30 2021 +0000

    Restored the PyQt5 behaviour of QIODevice.readLine().

commit ba83cc7085a330573c081b8aadd4c6279e4f23a0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 9 14:03:53 2021 +0000

    Fixed the handling of QSizePolicy by uic.loadUi().

commit 421aa2022915d960de17959e5ec18b6aa5055c27
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 8 13:09:40 2021 +0000

    Fixed the parsing of pointers to non-QObject types.

commit 56affa14ce9575394d047d81945cef8bc6738e98
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 5 17:11:27 2021 +0000

    Added tag 6.0.1 for changeset ccd0fa4fc522

commit ce65bc93bade12e6890825a7b3840475262725bd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 5 17:11:23 2021 +0000

    Released as v6.0.1.

commit 6e1c7fcdb892dca32f92dc278858b60e49d86a37
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Feb 5 17:10:48 2021 +0000

    Fixed build problems on Windows.

commit d8073944c169d7378a15b5d28afa7222b646837b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 4 16:00:57 2021 +0000

    Updated the NEWS file.

commit 43fd17dbeca30ae8619e257cabe477005992a985
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 4 15:54:30 2021 +0000

    Updated the NEWS file.

commit a12a97aa002d44e6016a3e8f7a94ded108f0818f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 4 12:26:26 2021 +0000

    Ported the drag'n'drop examples.

commit 66edc3a90b9bda60bfd47afe417844f32eb28798
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 4 11:27:58 2021 +0000

    Fixed the type of Qt.TextFlag.

commit 2dbac72370f5d33345bbc0591af0c340d7131538
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 1 16:35:14 2021 +0000

    Ported the dialogs examples.

commit a52a2ccca4c9865fd6fbf07735f237c34a4b69b9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 1 16:28:57 2021 +0000

    Fix the types of the Shape and Shadow enums of QFrame.

commit ed5b7c6265bae67846f3fcb8dca054fd8e63a4f7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 1 15:42:46 2021 +0000

    Ported the desktop examples.

commit d042feedf0aa1a206e586fc32bde5078cc873242
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 29 12:53:20 2021 +0000

    Don't specify the QML name unncessarily in the QtQuick examples.

commit 89cd3b2ac8b7f9e3b10e300bd627932180d4f1f0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 26 18:42:45 2021 +0000

    Ported Designer plugin changes to the qmlscene plugin.

commit fb43c2ca8688b70f3d5c9616b6a7174a35cf852e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 26 18:35:33 2021 +0000

    Remove redundant code from the Designer plugin.

commit 8487c90b813805dfe4dde45ae8bb45d3cbd82990
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 26 18:29:27 2021 +0000

    The Designer plugin now handles being run from a venv.

commit 0e2dd0fd7a20abbfa2b62fccd818296d6920c537
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 26 15:04:02 2021 +0000

    Added the designer examples.

commit 38627235c6ab8f352fdfe7e8a035f84d2b933418
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 26 10:02:24 2021 +0000

    Fixed the QFontMetrics and QFontMetricsF ctors.

commit 43e8e9b2b0294439f0219b466cd89ede66bcc6a1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 24 18:12:18 2021 +0000

    Ported the QtQuick examples from PyQt5.

commit 425626479344a7894d3b5c3ae9968ad6a1fcfb8f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 24 17:55:16 2021 +0000

    Fixed the '*' operator between QPoint and QPointF and floats.

commit ee82fd89d032f3f2784c403ccda9aec1cd35a5ae
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 24 17:16:58 2021 +0000

    Fixed the QSGGeometry.DrawingMode enum.

commit 57ba04ee901878007f842ea6445e08005915057e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 21 18:44:58 2021 +0000

    iUpdates all of the QList mapped type convertors to ignore bytes objects (as
    they currently ignore unicode objects).

commit 3ffd35f546ca6a20e65f7914deee1763f9d81261
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 21 18:34:17 2021 +0000

    Ported the textobject.py example.

commit 45acb12b6a4e7f8d242b9c9f6b2fbc2d16f8d98a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 21 18:33:52 2021 +0000

    Fix the QTextFormat enums that allow the user to define additional values.

commit a27c353dbfba4ff2d62ef30f397edf7be7be0a69
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 17 12:56:59 2021 +0000

    Wheels depend on an external Qt wheel rather than bundle Qt.

commit 7564fa08867914ba0c424147e998282e770d301a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 16 16:44:23 2021 +0000

    QMetaType.name() now returns a bytes object to be consistent with
    QMetaType.fromName().

commit 4daa338be122065b22299bdec99b929ad12c786c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 16 16:41:39 2021 +0000

    It is no longer necessary to fudge the meta-type of wrapped enums as they all
    have their own Qt meta-type id.

commit 84c36c680247f1279553d132f0e19816a0f23280
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 16 14:59:46 2021 +0000

    Fixed the type parsing of enum properties.

commit 3bf111e1b69741172f11389465b8e63f2ed6cd38
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jan 13 22:41:14 2021 +0000

    Fixed the QKeySequence() ctor and type convertor.

commit 240d53b943151615c3f56f9468d6383df2273c0b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jan 13 15:58:07 2021 +0000

    Reverted the behaviour of the QImage ctors to that of PyQt5 so that unnecessary
    restrictions (eg. the number of dimensions) were not imposed.

commit 1c11053d86176f687f5dcf7cd4c6028e8ca7543f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jan 13 11:38:42 2021 +0000

    Added QSocketNotifier.

commit 21668f982f2df3b1fe86b58f4c5cbf54d072d1da
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 10 13:15:22 2021 +0000

    Fixed a pylupdate regression.

commit 577cab2e6d51d6970e91a88dad609f3e68c49d0c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 10 13:04:49 2021 +0000

    Further tweaks to the pyuic and pylupdate main() functions.

commit 9f126fa333de9a26bc155c1832dfe826d8904c48
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 10 12:58:54 2021 +0000

    Fix the return code handling of pylupdate.

commit 3b6318010aa2351eb2f9cfbd71721c46dae88d2c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 10 12:54:56 2021 +0000

    Make sure the pyuic return code is retruned properly.

commit 91b558e8ee44a9445fdbf1a778e0cee858b5a0a7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 9 10:32:18 2021 +0000

    Complete the pyuic fixes for QActionGroup.

commit cd45c24ae5bd31792fca1647bd701cf0e99c7fc5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 8 18:37:21 2021 +0000

    Restored the readString() and writeString() methods of QDataStream.
    Fixed QDataStream.writeBytes() and added support for writing any object that
    implements the buffer protocol.

commit a259f2b9965f78850e542907df2fa2cacb020f0c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 8 16:41:30 2021 +0000

    QDataStream.Version is now an IntEnum because QDataStrean.setVersion() has an
    int argument.

commit e0d277bb919f335c3cb88be29c32e5a2977b2ad2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 8 14:37:58 2021 +0000

    QEvent.type() now returns an int and QEvent.Type is now sub-classed from
    IntEnum.  These changes are required to a) cope with internal event types and
    b) user defined event types.

commit 2047bba5e4e68e66678ca14dd93a3514800d72ca
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jan 8 12:04:35 2021 +0000

    Fixed pyuic handling of QIcon.

commit 5318b5a97045ff38089d5ebd1d9bfe58a8f31eb1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jan 6 09:56:42 2021 +0000

    Don't define the OpenGL enums in QtQuick and use the provided alternatives in
    the handwritten code.

commit 5190f6f9b81c214953b8a0056ba44a1b5ff33771
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 5 21:55:26 2021 +0000

    Fix QActionGroup in pyuic.

commit df8de706b071ea49cc05f1d3a059719222f2b010
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 4 14:28:50 2021 +0000

    Added tag 6.0.0 for changeset f34d70fe36f2

commit 9b711a1d8cf54ec682f7f3b6f645062976c51e54
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 4 14:28:45 2021 +0000

    Released as v6.0.0.

commit a97159264652c57a0d9fd09d36bc01465bedee6b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 4 14:28:04 2021 +0000

    Require Python v3.6.1 because PyUnicode_GetLength() is missing from the limited
    API in v3.6.0.

commit e4cab12f5a974ced69f7a5db1a57695c3bde5f7f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 4 09:53:03 2021 +0000

    Updated the NEWS file.

commit efae437557a5330e372da9ac0dd771e77bf3d59b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 17:44:26 2021 +0000

    Fixed a type hint typo.

commit d084a7d6bc35144cac6e2dd22e7ce461cfda2c74
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 17:31:45 2021 +0000

    More type hint improvments.

commit 417ab322fc13355921a11f12e071fcff583bd926
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 16:46:00 2021 +0000

    No longer allow a QPoint when a QPointF is expected.

commit 5ace975cf8d70ef68cf6e626273090b5b05cd12f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 16:43:15 2021 +0000

    Reorder a couple of methods to remove a mypy error.

commit 6c3c6d33f2f15dfd081c543b93ddc84f1d4e8cf6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 16:03:10 2021 +0000

    More type hint fixes.

commit a93dc439d5f7df9d9890058b2857d9bcd661a3b1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 12:12:29 2021 +0000

    Fixed a couple of type hints.

commit b7ea07c9261d1a7ba10039f8fc1264869d105721
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 2 18:54:16 2021 +0000

    More type hint fixes.

commit 815e6ce67994c5ff3a7579dba7739612c779f3bd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jan 2 17:38:43 2021 +0000

    Fixed many type hints.

commit 54f3fdd00e55a048a67b3bb968992591a2f7ff33
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 31 16:23:41 2020 +0000

    Added DevelopersNotes.txt.

commit 8ea6dc3d6d1bb4f481ac033a95baa9f4a15c7987
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 31 16:08:25 2020 +0000

    Restructued the repo layout now that we know the long term project structure.

commit cb324459a10ff3fe9ba852a9ef0608383a71165d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 31 12:45:42 2020 +0000

    Qt.ItemDataRole is now int based.

commit bcf3cd36f024a78018eb5c32f61de4b629640366
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 30 18:13:18 2020 +0000

    Tidy ups of the (as yet unsupported) sub-projects.

commit 51d4c5cbe9a45947975377ad2e4d0d3e20e05cff
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 30 18:09:06 2020 +0000

    The charts module is QtCharts in PyQt6.

commit e45168af2c940de9febec9aa618bd7c00d38cd61
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 30 18:00:38 2020 +0000

    Removed the Qt3D modules as they now have their own product.

commit 4e9369792e42f03611a6ce90e4131185ef352f1a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 29 17:07:29 2020 +0000

    Removed adlib.py as the additional libraries can easily be built with qmake.

commit 79fca8a754947f381009b5b1c900c0761a232dbb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 29 14:55:41 2020 +0000

    Removed QtNetworkAuth as it is now a separate product.

commit 222aa2646d900335b17f9a8a5372d6fdc1ccc8ee
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 29 14:48:43 2020 +0000

    Fixed typos in the sub-project pyproject.toml files.

commit 865910a2cf322f07c29297266d7560a4ee3a9bc8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 29 14:44:35 2020 +0000

    Specify the minimum GLIBC and macOS versions for the sub-projects.

commit 38726b9677fe76da4fb630feee7db45b487ac5cf
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 29 12:40:50 2020 +0000

    Hardcode the PyQt6 dependency as we are not going to synch minor version
    numbers.

commit 9fc2bbbb18761e52eed1886f8d67f64d3e770150
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 29 10:31:33 2020 +0000

    Renamed the (as yet unsupported) additional library projects according to the
    new naming convention.

commit f84beebd5a3becc4ba367c4650435cf90d4fc36e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 28 15:33:35 2020 +0000

    Fixed the QByteArray type hint.

commit e5da4a8887c45978822c184555c74c26392b7e1c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 27 18:20:21 2020 +0000

    Fixed a missing import in adlib.py.

commit 6778d1ffa428734a7574907e0063c29c4e0ce153
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 27 18:17:03 2020 +0000

    Windows fixes for adlib.py.

commit f773f54c96689f344883937cb356b15222f0595a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 27 14:52:00 2020 +0000

    Don't rely on conan being on PATH.

commit a111d76f9be5101473145c5a40200a0f3642d558
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 27 14:25:44 2020 +0000

    Added the adlib.py tool for handling the qtimageformats additional library.

commit 64317930705c51d44d938508c981b5d37197cdb9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 27 12:05:26 2020 +0000

    Updated the argument parser of the mksccode.py tool.

commit a3a228e75f21de663b68815e1481f7c34527987a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 26 12:28:29 2020 +0000

    Fixed the disambiguation for NOOP translations.

commit 03f9a09f13fc28a68ce59a1cb92450fc66d6220d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 26 12:10:21 2020 +0000

    Fix the handling of disambiguation comments.

commit 3395843b3b0fa2c9c9f3e801713ce9b6b74f91e8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 25 12:53:17 2020 +0000

    Don't refer to duplicates of new messages as existing messages.

commit 050381e6afafd93cde24c8fecaab55605fbfde25
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 25 12:19:29 2020 +0000

    Improved the layout of the pylupdate summary.

commit fdff47f2e9f2cb02017a15ea1435a44380ed8888
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 25 11:52:38 2020 +0000

    Properly handle 'string' tag in a .ui file.

commit 48e124b656ec5796d64dd1729e8188d6e625e511
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 14:57:19 2020 +0000

    Disable default ctors for all QtGui events.

commit 899f4375cb4a9ffe8cdeedd786e4d357ee7099f4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 14:41:36 2020 +0000

    QtCore QEvent sub-classes have no default ctors.

commit 8485edb410d04d7a375a521ee21b08a7687450d1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 14:29:17 2020 +0000

    More readData() and writeData() fixes.

commit 860b0cbf0c1e1e2c953f24ed8a65bb8bc7d238ed
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 14:00:19 2020 +0000

    Fixed readData() and writeData() handwritten code.

commit 6c62fa3f7fa963af8a7998144a0f42931675c84b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 13:43:36 2020 +0000

    Remove some PyQt5 Windows-specific methods.

commit 7c617cb01c7f2cb2a2283258d1bd50cd434cac3d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 13:33:18 2020 +0000

    Use Py_hash_t and Py_ssize_t where required.

commit 3a75086e7be101de2eb4c0b7d3cf603187cf025c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 23 22:19:03 2020 +0000

    Fix pylupdate when comparing messages.
    Indent the .ts file XML when using Python v3.9 and later.

commit 044a19b74ce037ece687801c78a1b13a7d2ed1df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 23 15:10:18 2020 +0000

    Ignore empty strings in .py and .ui files.

commit 1866389762450cf6afc3010fcd8f6e1a1dc9fd65
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 22 16:35:23 2020 +0000

    pylupdate fixes for handling the third argument to tr().

commit 91fbeba9094020debed3f7637d050f248358fbff
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 21 17:44:48 2020 +0000

    PyQt-builder v1.7 will be required.

commit e43c217ce55599c0675353469c766124aba64857
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 21 11:13:26 2020 +0000

    Restored the test of using the property system for enums now that SIP generates
    the necessary calls to qMetaTypeId().

commit fed4a0a91281f9a2815f5bd548a01516954f1728
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 20 18:36:03 2020 +0000

    Fixed the outstanding tests.

commit 22fa751acb603ae36b786ba58f400710e0bcaaaf
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Dec 20 15:56:20 2020 +0000

    Fixed the conversions of QVariantMap, QVariantList etc. to Python.

commit 6704f30cafee8295b84159390d9a567b8842eb61
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 16:54:28 2020 +0000

    Refactored the mapped type convertors.

commit 18b88060c1d656bb63d7bf7d677c2923a1d6f532
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 16:21:42 2020 +0000

    Removed all uses of QVector.

commit 5cc2b070fa5e8f4abb35ce540ee36b433326b2c2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 15:33:38 2020 +0000

    Fixed the convert of dict to QVariant with a non-string key.

commit 1bafa6038ff61f52f2faa472c9f32edf43daa653
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 15:07:56 2020 +0000

    More pyuic fixes.

commit 895bdedb72a4490c0847162fdde4d3284a186ac3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 14:53:47 2020 +0000

    Qt::Alignment has to be IntFlag because the various setTextAlignment() methods
    expect an int argument.

commit 0ffd10afb24c3de2bd269ec28533ac5e0bdc5469
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 10:43:05 2020 +0000

    QFont.StyleStrategy contains flags.

commit 892943e6a42d088d0cbf9db52c25ca50d2d0b642
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 10:26:31 2020 +0000

    QFont.setWeight() will now accept an int and a QFont.Weight. QFont.weight()
    returns an int.

commit e9cfe7a9aedf37dc94b0cc858f28e18b5a88e102
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 19 10:03:23 2020 +0000

    pyuic fixes.

commit d4e6a29e6c5e984f5ce7cf51ebc5b1306d396adb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 18 18:30:11 2020 +0000

    Initial pass through the unit tests.

commit d4ab1565da1144222ff12af0c8d5cc39b23f6114
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 18 16:55:57 2020 +0000

    Specify the minimum versions of glibc and macOS.

commit 5a6b8b81c12a9172b32d91edd64f29d6e47d447d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 18 16:46:11 2020 +0000

    Removed some code needed by (unsupported) versions of GCC.

commit 732ffe68622f9f6f9e26a6e598e254cca84cfe94
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 18 15:59:33 2020 +0000

    Implemented qmlRegisterAnonymousType() and qmlRegisterSingletonInstance().

commit 779f5df9a2308c8f4e94f699b4cbe10a00df8b88
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 18 15:24:09 2020 +0000

    Fixed support for attached properties.

commit d6bf82cf16e93637d33221a1654ba5986ae591e8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 18 15:23:42 2020 +0000

    QMl example fixes.

commit 4ceb1197438be54ba10a75f7624968bd663a2af7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 17 15:12:36 2020 +0000

    Fixed the default.py QML example.

commit cd7efd6f25d5919e514231051d269a45f692eb6f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 17 15:11:11 2020 +0000

    Fix QML list properties.

commit ca67099801d9f597c4a8ab398ac3ebfad3ecb52e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 17 12:56:23 2020 +0000

    Removed a legacy cast.

commit b957c4848b892e742e2a199bcbe047d89a5bd289
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 16 16:27:17 2020 +0000

    Gracefully handle syntax errors in Python source files.

commit c3bef65551f41cafce3a178fd51b51fc87ec523d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 16 16:01:40 2020 +0000

    Existing translations will be used where possible.
    A summary (suppressable using the --no-summary option) is displayed.

commit 5170d6d2ae9221cea8cc6d72b473a65d24ef2a78
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 16 14:03:53 2020 +0000

    Added support for the --no-obsolete option and obsolete messages.

commit ddcfc6d1c0e0cd48c26c46fe6a2c741c7715d16c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 14 15:10:13 2020 +0000

    Removed the legacy "Extras" modules.

commit b742def1bf7f4c7900e1f3f0cfabb48a3a045ea6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 14 13:17:07 2020 +0000

    Don't call the QCoreApplication dtor if we didn't call the ctor.

commit d4824e73d3f451350b486a16375f9fd9e9953a01
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Dec 11 18:18:47 2020 +0000

    Updated for Qt v6.0.0.

commit 8579856017a44990c07cc5ab665430737e49c0f9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 9 17:25:20 2020 +0000

    Completed the pyuic changes.

commit 5f581867c4232f4eaa17f30acf8be2bf8e3efde5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 9 17:03:18 2020 +0000

    Removed some internal enum members.
    Enums no longer have to be constrained.

commit a7cc13ced64f9c30eeb5a0f8c38169ffab248acd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 8 18:35:49 2020 +0000

    pyuic fixes.

commit 0b7008bf41d7338c5b887a4086d24b2a004151ea
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 8 16:36:05 2020 +0000

    Removed a couple of internal enum members.

commit 268959c56b4ef0071bf26725c6d6640b1f19a489
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 8 13:22:39 2020 +0000

    Fixed creating a QColor from a GlobalColor.

commit 190142e228fc692c2c9f8d2e806771cddec85cbb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 8 12:21:28 2020 +0000

    Fixed the creation of a QCursor from a CursorShape.

commit f26f74a78e030f403dd8424bef1b99cc821965e4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 7 16:43:00 2020 +0000

    Added QImage.setAlphaChannel().

commit b8d5883260bbb07035bdb24f833068a75a971154
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 5 21:43:14 2020 +0000

    Fixed scoped types in pyuic when loading a .ui file.

commit 20ff043ce57bb9638079dea39a44644a8d151b3f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 5 19:50:25 2020 +0000

    Removed the QT_MAC_WANTS_LAYER workaround as it's not needed with Qt6.

commit ef72ce9d2a004730e570a0961ee7087924d6d0d4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 5 19:44:49 2020 +0000

    Initial support for fully scoped enums in pyuic.

commit 15a8c9d8a59102f2b7d5198220285e43a782f8df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 5 05:07:18 2020 +0000

    Fixed pyuic handling of size policies.

commit 47e284b27dbac3776779558245ab559197a4d186
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 5 05:02:52 2020 +0000

    pyuic fixes for form layouts.

commit e141ae9a70dc0432458245c665e54e5ede0ac062
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 3 10:31:25 2020 +0000

    Changed the signature of pyqtClassInfo() because QML uses characters that
    cannot be used in a Python identifier.

commit f8be974ffcb2c9ccc303056dfa610acc76a04b7e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 3 10:10:47 2020 +0000

    Updated for Qt v6.0.0rc2.

commit e0cda8105ba1f93a669ee7407901c4aa328c479c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 2 15:07:18 2020 +0000

    Added the QML examples.

commit 00b4350deb6e89a21796440444cad9c8dbf2b633
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Dec 2 15:06:47 2020 +0000

    The QML registration functions now have the name as the last, and optional,
    argument.  The default name is taken from the type being registered.

commit 746a885771c545075519a0624be5386694e5175d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 1 18:24:36 2020 +0000

    Fixed the fully qualified names of the sip builtin types.

commit 6bbad0d7807a81b350db813664bee7da93068f10
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 1 14:03:09 2020 +0000

    Removed the resource system hooks.

commit 9d1fd7428dc5120ac139ff00d689576196fa43c2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 1 12:40:05 2020 +0000

    Updated the feature configuration tests.

commit 789e89c3574892045782c2d10cbcd425f67e287e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 30 13:20:12 2020 +0000

    Ported QtQuick3D and QtQuickWidgets.

commit ea0f78bc5f391921aa1cd5032fe17d378756ecd9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 30 12:47:59 2020 +0000

    Completed QtQuick (for now).

commit e3718c4d161a0ab335f825f37057e0b61a83208e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 29 18:16:43 2020 +0000

    First pass through QtQuick.

commit 9253a1048c9c86c9f68f5b96ad8512a5ef7222e5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 29 16:11:58 2020 +0000

    Ported QtQml.

commit 3a037943145c4899217cec10ca8a7b6e3413f4b2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 28 12:42:57 2020 +0000

    Completed the port of QtOpenGL.

commit 2997966e758473c6ba05bc522b81e02a681affa8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 27 17:24:42 2020 +0000

    Initial pass through the port of QtOpenGL.

commit 0e5071ffaae7eb22f81eb5c0f3f9bed027a5cb4c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 26 16:36:05 2020 +0000

    Ported QtXml.

commit 5335d2427cc8a950c0d4f27c864b2846ca085bfb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 26 15:59:46 2020 +0000

    Ported QtTest.

commit 50d8fa5f0ac34b32ead6976cc1c7064c30ccc033
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 26 15:29:03 2020 +0000

    Ported QtSvg.

commit bfb528028b66177c47ccee7dd69abb05d88f8c64
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 26 14:48:04 2020 +0000

    Ported QtSql.

commit d8a2619db81ac45264bb54368bb07903695b615d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 26 14:26:20 2020 +0000

    Ported QtPrintSupport.

commit 99f5f238ed917e34a5bf991590bc4fdba5de4796
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 26 13:15:19 2020 +0000

    Updated for Qt v6.0.0rc.

commit 0cd9836cb31692f79e55489b1fdd62b812b395d4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 18:32:47 2020 +0000

    Eliminated all remaining warning messages.

commit 0835ffc31618a184aed8ca97636617a4528437f4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 18:28:17 2020 +0000

    Ensure that the buffer protocol can be used for all writeData() implementations.

commit 8d89c1b78f6659640ac6c340841ed3ce0d6ab504
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 17:21:27 2020 +0000

    Ported QtNetwork.

commit 61358f39a6cb76d36be8b65d8da91b43ae3be143
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 15:25:32 2020 +0000

    Ported QtHelp.

commit 86ba480fcd338ee8f3c795341d705f961b5cb8a7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 15:12:17 2020 +0000

    Ported QtDesigner.

commit 14ecabb0edd1c2a7dc06fb0f14ae910b128e6f65
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 14:48:35 2020 +0000

    Ported QtDBus.

commit 8ee9426fb2ef2e4b67a8f134265491bc76e67ee9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 25 11:02:43 2020 +0000

    QtWidgets now builds without warnings.

commit 5ab82ff7c47cb40c2455453d81d1f5f42e7fa0ac
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Nov 24 17:23:22 2020 +0000

    Completed the porting of QtWidgets.

commit 7a284151f408761a6c7da862861d952d22da175e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 23 17:49:10 2020 +0000

    Work on QtWidgets.

commit a24c4dc633d4a560861a08446122d7c5848e8b79
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 22 10:50:36 2020 +0000

    QImage fixes.

commit 4c8370bba01661a5d33e8fbee08d06cdf8ffca5e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 21 18:39:30 2020 +0000

    Completed the QtGui implementation.

commit f231c4ce281f20c58933d13662b7c2645986ed7d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 21 12:00:48 2020 +0000

    Added the QObject sub-class code for QtGui.

commit 81f3341c03836c43a43bde2b44584d96f2d92742
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 21 11:57:30 2020 +0000

    Completed the QEvent support in QtGui.

commit 936438854064ce4ffec003b954f0a3e4ee526521
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 20 17:39:03 2020 +0000

    Don't generate .sip files for modules not yet ported.

commit b98843960cc6f7c09862622181d9af11b67fc184
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 20 17:08:00 2020 +0000

    Removed the internal version-specific OpenGL modules.

commit 57a4d7b995351d49c7b225a6d043152fee1be2bf
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 20 15:35:22 2020 +0000

    QtGui now builds without warnings.

commit 2fb359f4c97919dbb28444a01601e7a385172545
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 20 13:23:04 2020 +0000

    Fixes so that SIP parses QtGui.

commit 00bbce92383b9aeb480e87160dfdfddbd33703e8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 20 10:07:03 2020 +0000

    Moved the OpenGL stuff from QtGui to QtOpenGL.

commit 1b64678ad4060d3b66fab26304584425b324709e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 19 18:32:48 2020 +0000

    Completed the initial run through of QtGui.

commit 640d88a09304a5987008e55a2758231b39c7e4ce
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 19 16:59:31 2020 +0000

    Moe work on QtGui.

commit cb02b8ba12ee07f33722376643d048c764cb55aa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 19 10:43:33 2020 +0000

    More work on QtGui.

commit 96036f99ecc2f7d6951f6db47883b1f2b80fb644
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 18 18:17:32 2020 +0000

    Work on QtGui.

commit b7189efa4c01e964ad7753e77d5101a27f34c8ff
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 18 13:34:13 2020 +0000

    Removed some redundant %MethodCode.

commit 447115e3bd8366ea5f0011a5e70e5179dd8451f5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 18 13:20:28 2020 +0000

    Added the QObject sub-class convertor code.

commit 8cf143895f485887b73b619448d37f3fcf9b5663
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 18 13:18:17 2020 +0000

    Fixed the script for generating sub-class convertor code.

commit f1737256bb83fdfea84841e280f27def4b3dca1f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 18 13:16:17 2020 +0000

    Implemented the operator|() overloads that create a QKeyCombination.

commit 5b407893dd53860f8a30fbb0ac2e1fbdd7dc78ad
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Nov 17 16:06:55 2020 +0000

    Implemented QMutexLocker.

commit 2d649b63aa4d49eec9e49e8148b7703c19eec915
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 17:22:41 2020 +0000

    Finish QMutex.

commit 93812c3995c8b7ea33fa1223367b594647ad8c28
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 17:02:51 2020 +0000

    Fixed some minor TODOs.

commit 7b758b8a310f9f6ca3f3e9c7e5edc3f79d5da84c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 16:46:58 2020 +0000

    Updated QCborStreamWriter.

commit 1d9d535f2ff40799edcab0584419b94336af2ad4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 16:12:12 2020 +0000

    Updated QCborStreamReader.

commit ea5c0a4e786624cc0cb339c68fe3ea1e53edf168
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 15:32:38 2020 +0000

    Removed the old QVariantMap support.

commit f1d9ee67dd3796d6ce7e92d68a9707c409a6dd3b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 15:23:49 2020 +0000

    Refactored the QVariantMap support.

commit 99140a4e90939e84a8a4cf2d042de34243eec43e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 15:13:40 2020 +0000

    Refactored the QVariantHash support.

commit 9d19cd42179a32bd1290d741de09857a2fef84c8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 15:00:31 2020 +0000

    Refactored the QVariantList support.

commit 90b74d9279ce95140fb916784996a30bce682631
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 16 14:53:13 2020 +0000

    Added support for QVariantPair.

commit 79e753470f624bb1d6884d4aa96ed52eb8eaba93
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 15 16:06:07 2020 +0000

    Added support for QMetaType::Nullptr.

commit 34b1814ba84137b1aaff246c7f88fbea23a4119a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 15 15:52:45 2020 +0000

    Added support for QMetaType::Char16 and QMetaType::Char32.

commit e6f6d16bf8aece1065df8f3e3e665b4f11c4df4c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 15 14:19:16 2020 +0000

    Don't handle a 'char *' as a QString (or as a bytes object as PyQt5) when
    parsing a C++ type specified as a string.

commit c800ebbb370184ddfcee4b710c824a826abf2108
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 15 11:33:54 2020 +0000

    Updated for Qt v6.0.0.0beta5.

commit ccba7da4a78e3b711daaab8d5c7c96f1809880aa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 14 12:25:35 2020 +0000

    QtCore now builds without compiler warnings.

commit 121244ddd9b3b7a79400aee465f0a89a67cded78
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 13 16:43:18 2020 +0000

    Remove deprecated API elements.

commit b4b1b50a8b139262e4568eab2e964ceb0a8a9246
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 12 21:33:27 2020 +0000

    Updated for Qt v6.0.0.0beta4.

commit 7194fe2feaf128d6726ec21a2b7eb69c99bb8cfa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 12 13:02:45 2020 +0000

    The QtCore module now builds and can be imported.

commit 817b2b9527a21930aa484bfcc742186de5a58664
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 12 10:01:42 2020 +0000

    Bug fixes.

commit cebeb9f394c861f5af444dc7f2ee0197e54f5585
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 11 17:57:15 2020 +0000

    Bug fixes.

commit cedc643287b24f824c0b23c31b05274c63fdc079
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 11 12:43:08 2020 +0000

    Removed QModelRoleDataSpan because it is inappropriate in a Python context.

commit 33c71cd11a8c85d6bafecf3da9c47f9b844f4a37
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 11 10:02:33 2020 +0000

    The QtCore code is now generated.

commit d02d97e99140979a68268504cfe91bdf9ca4564e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Nov 10 18:30:18 2020 +0000

    More work on QtCore.

commit 470f29b374f8ec313f01b28c5c6257cc4034f5e1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 9 15:05:12 2020 +0000

    Updated QtCore for Qt v6.0.0beta3.

commit 9c9f17d09c824958a4591d0b5f1abf8fb05f7e19
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 5 17:53:21 2020 +0000

    Refactored the QIODevice methods in QtCore.

commit 47a7155e6d48e1d3e4c4135ea3a1f8c3335c6dc3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 4 22:18:09 2020 +0000

    QIODevice updates.

commit cc4ee33897d0fd09bcf4d5ff9cf0ac8bef2a5ba8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 4 15:19:20 2020 +0000

    Completed the initial pass of QtCore.

commit e47477beb41e09f70e33253aec4c443ec5b3d968
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Nov 4 09:43:43 2020 +0000

    More work on QtCore.

commit 3b8fe8405f08b8ada568f2456d57b7111c241521
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Nov 3 12:32:01 2020 +0000

    More work on QtCore.

commit 66462ec3d6448a70395a200508826780431ebcdd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Nov 1 16:17:18 2020 +0000

    Re-factored the QByteArray support.

commit 02d77eb197743c798d7db163baf9437e3c484cc5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 28 16:41:29 2020 +0000

    Move qstring.sip out of the project.

commit 20a35a2a6f87894f6f170513843dc313b6337950
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 28 12:23:49 2020 +0000

    More work on QtCore.

commit 2d7966315642ca98366df4954ff5142a1873371e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 25 15:33:08 2020 +0000

    Updating of some QtCore classes.

commit f5a9b45136114e08538160e9eac4e712fd1e4b8f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 24 17:26:57 2020 +0100

    Updated the pyproject.toml files now that Qt6 is being used.

commit 6164655d12fa76edcfc9d0c81d7eba6803c6fc73
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 24 17:19:40 2020 +0100

    Scan QtCore from Qt v6.0.0beta removing the .sip files for the corresponding
    removed .h files.

commit aae5392a055bd1f33b475580f98f1abbb6519caf
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 23 15:59:33 2020 +0100

    Provided a comment about the <stringlist> element.

commit 40f7c811d67bf7e80ec780f4cd7ad527195670db
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 23 15:50:31 2020 +0100

    .ts files created from .ui files now contain location information.

commit edab6bd529bea0b1856c4d076796a5149cc4a4f3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 23 15:41:08 2020 +0100

    pylupdate now handles the attributes of a string element in a .ui file.

commit 9206e16d28c8b6f03e8f6eef8580f547f9350266
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 23 14:29:03 2020 +0100

    pylupdate will now handle .ui files.

commit 77fefd8a775adc9fbd34c272ac334e3ee3d5407d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 22 17:45:56 2020 +0100

    Refactor the parsing of a .ui file so it can be reused by pylupdate.

commit e635d1797b0eec9e0391d72942ca0383d9a9975c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 10 16:43:52 2020 +0100

    QObject.tr() is now implemented as a class method so it can be called with an
    explicit context.

commit fba1b550cac75ecd5f0d1a6f99ddb450e102b7da
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 9 15:24:36 2020 +0100

    Added support for embedded translator comments to pylupdate.

commit 81423a01890ee10b9aa4caa6a9050b2ba564f41f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 18:15:32 2020 +0100

    Added the 'numerusform' tag when required.

commit 77ac85d06dfa85b1b14e9162bfc0610e8c98dae4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 18:03:58 2020 +0100

    A directory can be specified as well as the name of a Python file.

commit b135ed44a6ea58913fe0ed720f87560048000ee7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 17:45:09 2020 +0100

    Contexts are now sorted by their name.

commit 101d180c3041ac291d6f3a30f9972b799eea60c3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 17:31:32 2020 +0100

    There is no need to use escape() as etree handles it automatically.

commit b61acb06dbaa4353c62f9ab3418995b1b7cb42cb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 16:18:40 2020 +0100

    Context names now include any scoping class.

commit d625618026baeb526a8b5c8a1984e2eae75138ec
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 12:21:27 2020 +0100

    Fixed the updating of a message location.

commit b46b019cd34db03c408908b9693ea2a2464bbf51
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 12:17:33 2020 +0100

    Improve the dispay of source text in progress messages.

commit 080d2553fb7b58af0115bc8a227cb59597833269
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 11:54:25 2020 +0100

    The Python source filename is relative to the .ts filename.

commit 9f7378ef0cedabb54a4cad079c976e446a9ab351
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 11:53:52 2020 +0100

    Improvements to the error report text.

commit b8f21dd4bc8c5b82276054aebd7ff1efedba8aa9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 8 10:37:30 2020 +0100

    Added the --verbose flag to pylupdate.

commit 0abc4cc619133875f160d317928d696e60e3290a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 6 21:53:57 2020 +0100

    Added the messaging and error handling infrastructure.

commit f8f6bf1ffbf5ab4d95c22c47a61401ca07436d03
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 6 16:50:25 2020 +0100

    Completed the initial implementation of pylupdate.

commit 379d67237f8059f6440fc75c4c2c2d518f986def
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 18:04:28 2020 +0100

    Simplified the directory structure of pyuic and pylupdate.

commit 7929a1fb2f50cfc1099a690e77c6c4eafa2d0314
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 17:57:02 2020 +0100

    Added the stub of the pylupdate6 implementation.

commit 750dea6b0e3d52dc5cca2c2faf4b2b6b1d3f2c45
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 17:51:32 2020 +0100

    Fixed the name of pyuic6.

commit 4ec4a88e4a7ec6d2267f747e36bd6a41f1d982c4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 13:46:46 2020 +0100

    Eliminate deprecation warnings from Python v3.9.

commit 776756fd378819155f51cd148d8e45a5d9e1985b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 13:25:07 2020 +0100

    Ensure QtQuick will build without OpenGL.

commit dd1f1823f63fa9c3365c761de0652dc3f6c1cc72
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 3 16:41:03 2020 +0100

    pyqtEnum() now makes use of SIP_PYENUM and sipIsEnumFlag().

commit bb10294de5677eb05a07f072d0eae00dda94873c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 3 15:12:04 2020 +0100

    Use a better data type for holding parsed enum members.

commit cdd1581af28b7e741da552699873cfc400f1e75a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 3 15:00:05 2020 +0100

    Check the arguments of pyqtClassInfo when they are passed rather than when they
    are used.

commit 5da0b438594bfca4209abda124d63b1d5e20a7f8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 3 11:42:21 2020 +0100

    Replaced Q_ENUM and Q_FLAG with pyqtEnum.

commit 5fc6a13a755e8e944adaf531e9355adeac933d35
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 2 17:08:14 2020 +0100

    Improved the method of ensuring the QMetaObject is created in time.

commit af14a0950f454b1ffa0ec2cbc30fd71602413bc7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 2 14:31:41 2020 +0100

    Ensure the QMetaObject is created in time.

commit 140ef1da9c7d94ff1a80e7067ac3a4e7f10a7218
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 2 13:06:57 2020 +0100

    A QMetaObject is now created when referenced rather than when the QObject
    sub-class is defined.
    Replaced Q_CLASSINFO with the pyqtClassInfo class decorator.

commit 8324e340613263fd06466befa40ef3585b4b3a34
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 1 14:32:25 2020 +0100

    Removed support for Q_ENUMS and Q_FLAGS.

commit 77cf1948508dd23fb3e75259b5baa4f874212ba5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 1 14:17:05 2020 +0100

    Added the Q_CLASSINFO unit test.

commit 2c06833fb0b5031cb7b35f03dd987b4f304082d7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 28 13:00:56 2020 +0100

    Removed the unused qsql.h file.

commit e8addf0ec73c5b260894d4b2d471183572bae1b8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 28 12:56:32 2020 +0100

    Added a missing /TransferBack/ annotation to QLayout.removeWidget().

commit fd9c004eb4dc54aa51ec95be87f3303fa656f4a7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 25 18:10:02 2020 +0100

    Fixed the temporary specification of the ABI version.

commit 489f73ecb219e1775da3102a4b5039154bce9154
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 25 17:42:58 2020 +0100

    All unit tests now pass (except for the one pyuic expected failure).

commit e7cbb1d7d95cf577606e219273111ec305ac6fdb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 25 16:29:01 2020 +0100

    Refactored pyuic and removed support for resource files.

commit c4edf7eff5da9841facf8fca38a4361844ed4b33
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 22:14:12 2020 +0100

    QMetaProperty.read() now correctly handles enum properties.

commit 67e0b959368af8c266204c5b40eaf6b7f717f0e7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 17:17:43 2020 +0100

    Fixed the unit test for pickling enums.

commit 950196545a798c48a3d0935b4efdb5f7d4ad14f0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 17:00:31 2020 +0100

    Fixes for converting enums to QVariants.

commit 7bde1db8f706cba95615c72e7aa01a420cee6097
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 15:53:40 2020 +0100

    Removed the QFlags unit test as it would only be testing standard Python enums.

commit 021c03bf7d512599d9362fb1ddd4ff062d5a6e89
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 15:03:27 2020 +0100

    Renamed the enums implementing QFlags.

commit c645983151a6ce6058bbaff9d7f64cb58eb0bdce
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 13:16:06 2020 +0100

    Don't use /PyName/ to handle clashes with Python keywords now that SIP v6 will
    handle it automatically.

commit 3869710c2529f51fe13c8392152837230aeb4ad4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 10:28:02 2020 +0100

    QFlags is now implemented as enum.Flag.

commit 837a0bfaa1ff6e9b9e97678bc18e2524d3548b3d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 23 15:40:12 2020 +0100

    Update the PyQt annotations on QUrlTwoFlags.

commit 12401c61c823597c7feb5a8b58fa31ac27edaf26
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 23 14:26:48 2020 +0100

    Don't assume that there is plugin data for a type.
    The QFlags flag is now part of the mapped type plugin.

commit 1a2af8280ecd4f2f65ec8a8f5404afda0d20c146
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 23 14:05:19 2020 +0100

    Renamed qpycore_is_pyqt_class() to qpycore_is_pyqt_type().

commit 0649818644bfa83efb19bc9b70dfdcf972e38d41
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 23 13:58:19 2020 +0100

    Reimplemented QFlags as a mapped type.

commit abfe389755722a4c6d72a0912ef1f563fbdf370e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 23 12:39:44 2020 +0100

    Moved the QFlags implementation out of the project file.

commit a1616572f0c1a2e543f6502c21683ec7a835c045
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 23 12:29:42 2020 +0100

    Fix pyuic.

commit 9c176043edd0def583b3ebb1fdcf6c3d17110ee9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 21 09:58:51 2020 +0100

    Fixed a regression in the name of the sip module to be used.

commit e2b23c3f9b21709b726bf49a0febe8d851b116e7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 18 10:02:10 2020 +0100

    Check the version of Qt is supported.

commit e2077a66322a4a89a741b5aa9f728ab8138419f1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 17 22:21:52 2020 +0100

    Explicity set the ABI version until we start using Qt6.

commit 65e4fff6c9fafe0a57ac0dde0b78656e563e4095
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 17 15:31:06 2020 +0100

    Require PyQt-builder v1.6 as we no longer specify the sip module and ABI.

commit 6c13e4cac30e770cab364490944442318be9756e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 17 12:06:52 2020 +0100

    Added the QT_MAC_WANTS_LAYER workaround for missing paint events.

commit 5570e744a9163b772bff84f1cfd93029235222bc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 15 10:10:23 2020 +0100

    Bound signals are now hashable.

commit b28d71b577d4228cc9048cf4350f64be4c4964a4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 14 12:01:38 2020 +0100

    Removed some legacy casts.

commit 263764047ff74353650c336a333e0986383bbf87
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 14 11:51:41 2020 +0100

    Removed qApp.

commit 332a04bc113925325bd482f656721bd94331896d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 14 11:48:52 2020 +0100

    Completed the initial refactoring of the unit tests.

commit 6639abe2e0cb114757c17315d25dfb4fa9bebfda
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Sep 12 18:30:22 2020 +0100

    Parial refactoring of the unit tests.

commit 8edabc0be1f6953ea133adbe7d4098a11ebb47aa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 13:52:28 2020 +0100

    QSGNode fixes from PyQt5.

commit d479084a4f9b30c14f1c3315532c53f943694732
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 13:52:13 2020 +0100

    Fixed a typo in the handling of platform tags.

commit ae4ef1346fb92ad9dac6c7d2f1b03027e2b7e511
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 11:31:57 2020 +0100

    The full set of platforms tags can now be derived from py_platform.

commit 05bf3e9dceed2e55d6c49bf996a697eefed8a0d0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 18:45:44 2020 +0100

    Updated pyuic for PyQt6.

commit c19ba38c5cee96e10929e7ea301ea5c98ff75b49
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 18:38:29 2020 +0100

    Removed the Python v2 support from pyuic.

commit 272c92f1242d947c84d0dfb27fd55737f8bf0233
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 18:10:11 2020 +0100

    Handle the wrapping of the project version attributes consistently.

commit f0319c7109001d16578e5c75cded10bc63f78c29
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 17:43:49 2020 +0100

    Fixed the handling of the .sip handling the license.

commit e92323e779e30581e8b40d0fcbb7f0fbbc83b9c4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 17:43:27 2020 +0100

    Updated an error message.

commit 073bf30e520c8effa4e667e2c1330a558427bca4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 17:31:16 2020 +0100

    Remove the redundant code to create the Qt composite module.

commit 7a80bfe255a03a2908eef641d25b311740cc29e4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 16:25:01 2020 +0100

    Use the PyQt6 %Plugin.

commit 83be9f5a261b1a6594e9bf06fc5f062446f2a50a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 10 13:10:51 2020 +0100

    Add the PyQt5 tests.

commit 6f266f72629af704e2a36a736d2aebf22626dd3b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 13:16:53 2020 +0100

    Gave the subprojects a '6' suffix so that they can be installed side by side
    with the PyQt5 versions.

commit 6b6e5e1a165a2dc4e7628a073f272915ac556977
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 12:35:44 2020 +0100

    Added the remaining PyQt sub-projects.

commit c88959e57d4d3091a14ec9c2e91774baf1600488
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 12:34:56 2020 +0100

    More SIP_SSIZE_T removals.

commit bb6cae839bd8cd7bbb93410a7e0cdae8791dd8ef
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 12:31:46 2020 +0100

    Removed SIP_SSIZE_T.

commit ad2d148f65d216e6326b44530416afa653cc700b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 12:27:10 2020 +0100

    Fixed a legacy macro.

commit aa63a67e023a7ba746439b072fa7a3e141b0db85
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 12:20:45 2020 +0100

    Removed an old timeline.

commit c9c124c76755f43ece4d4e2b439ddb50eeb7db9e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 10:56:40 2020 +0100

    Fixed a type in the PyQt6 metadata.

commit 3f81a1870787bd4326dc9a68f5048753682b6d6d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 10:47:05 2020 +0100

    Remove the reference to sipEnableOverflowChecking().

commit b9125e3f4105c152e4ca01d8d1fd51e63dfddd35
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 10:40:28 2020 +0100

    Removed all references to SIP_USE_PYCAPSULE.

commit 5811138399bbd94eae8713ac68ec1c1c620b549c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 10:20:15 2020 +0100

    Updates to the PyQt6 project build system.

commit 6870d206a8c15aac1d7390d67553b6ba3fd16e18
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Sep 9 10:19:48 2020 +0100

    For the moment treat WebAssembly the same as Linux.

commit e32f876193eb4486a94857345a6986e80ac3d266
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 22:34:42 2020 +0100

    Added the extra stuff from PyQt5.

commit 5bb0107d07318cb0287a9a1b25282eba71b5dee5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 22:19:53 2020 +0100

    Added the platform-specific handwritten modules from PyQt5.

commit 3cba0d8c04bb640d1b5b84a2e3bb4fe86683afe8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 18:09:18 2020 +0100

    Added the Modules files for the currently implemented projects.

commit 8b8c96d2338339ee149236124a0314e97a525db5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 14:50:16 2020 +0100

    Updated project build systems.

commit 497237ed4c84eec9cea2eceeec07f7863a5b0421
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 11:44:54 2020 +0100

    Added some tools from PyQt5.

commit 8fcb33ec92cc4b0597b48c8302f6c9cfc56f1e40
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 11:44:37 2020 +0100

    Added the initial build system for the PyQt6 project.

commit 13a3abf29deab095ec7a6c2b92286a0c2db5bfe8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 11:11:57 2020 +0100

    Added the rb-product file.

commit bb72ce683df7f445dcca70829b283f60cf743f02
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 09:22:13 2020 +0100

    Removed QtCore.PYQT_CONFIGURATION.

commit a656fc60808648a3f2f07a89005a8ff6560836d4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Sep 8 09:09:20 2020 +0100

    Refactor the PyQtSlot ctors.

commit 6494d4660efe70156bde6bf4706e7b9221f08806
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 22:19:41 2020 +0100

    Removed calls to SIPLong_*() and SIPBytes_()*.

commit 0c9aee2addd7f5559c264a139b6f43c56e8958b5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 18:32:34 2020 +0100

    Removed references to PyQt5 and pyqt5.

commit 1fca566dcb36fe5e3cf4e54344b5b84ea06b00ac
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 17:58:02 2020 +0100

    Added the qpy support code from PyQt5 but with most redundant code removed.

commit 1f11337c80e8a780404a1e91f66dca8acc5956a0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 17:17:01 2020 +0100

    Removal of more Python v2 handwritten code.

commit 5e16ead7e266ca74fb957f4dac93ca8d5a75168a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 13:33:09 2020 +0100

    Removed any reference to old Qt timelines.

commit ab1313530d1e7f42578d816cc8742cdba98d8b3b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 13:19:11 2020 +0100

    Removed all Qt version dependent code.

commit a48ade0c3fba9b5966af209ac9ca8ff26c8e3730
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 13:10:08 2020 +0100

    Updated the platform definitions.

commit 5e2459f6d638aa5e888d4af90fb957914589f5ed
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 12:59:13 2020 +0100

    Removed all Python v2 handwritten code.

commit afac6b5b5c4ee610e4e21bdbe5579c53a62427fa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 12:57:21 2020 +0100

    Removed the Py_v3 feature.
    Removed all implementations of exec_() and print_().

commit dc3554031ae2f5b5c44373a2522a5d872a7e238f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 10:37:25 2020 +0100

    Imported the other sub-projects.

commit 7b362d280f453b8e1261d9625f87ac02898354ed
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 7 10:24:00 2020 +0100

    Removed all old versions and unsupported modules.

commit 8d48005d9e15e28c943df2e10709dd29c62585b7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 3 17:47:41 2020 +0100

    Added the current PyQt5 project file as the basis of PyQt6.

commit 9a942524e1e12f5370b067efe07479fb26e757b8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 3 17:46:05 2020 +0100

    Added .hgignore.
